CREATE SCHEMA Oekologie

-- Historie:
--
-- 09.09.2005 - 1.010 (1.010)
-- Anpassung an ASB-ING, Stand 2004
--
-- 29.06.2004 - 1.001 (1.009)
-- berarbeitung gem N0059 und der Abstimmung
--
-- 03.09.2003 - 1.000 (1.008)
-- Aufnahme des Schemas kologie in den OKSTRA

CREATE TABLE Kompensationsmassnahme (
   Kompensationsmassnahme_ID
      INTEGER NOT NULL PRIMARY KEY,
   Bezeichnung
      CHAR(1),
   Nummer
      INTEGER,
   Beschreibung_gemaess_LBP
      VARCHAR(255),
   Gesamtgroesse
      REAL NOT NULL, -- Quadratmeter
   CHECK ( Gesamtgroesse >= 0 ),
   Ersatzgeld
      REAL, -- EURO
   CHECK ( Ersatzgeld >= 0 ),
   Ersatzgeld_gezahlt_am
      CHAR(10), -- Datum
   CHECK ( Ersatzgeld_gezahlt_am LIKE '__.__.____' ),
   Ersatzgeld_gezahlt_an
      VARCHAR(255),
   Begruendung_fuer_Ersatzgeld
      VARCHAR(255),
   fertiggestellt_am
      CHAR(10), -- Datum
   CHECK ( fertiggestellt_am LIKE '__.__.____' ),
   Herstellung_abgeschlossen_am
      CHAR(10), -- Datum
   CHECK ( Herstellung_abgeschlossen_am LIKE '__.__.____' ),
   Entwicklungsziel_erreicht_am
      CHAR(10), -- Datum
   CHECK ( Entwicklungsziel_erreicht_am LIKE '__.__.____' ),
   Uebergabe_an
      VARCHAR(255),
   Datum_der_Uebergabe
      CHAR(10), -- Datum
   CHECK ( Datum_der_Uebergabe LIKE '__.__.____' ),
   Zustandskontrolle
      VARCHAR(255)
)

CREATE TABLE Teilmassnahme (
   Teilmassnahme_ID
      INTEGER NOT NULL PRIMARY KEY,
   Umfang
      REAL, -- Quadratmeter
   CHECK ( Umfang >= 0 ),
   Anzahl
      INTEGER, -- Anzahl
   CHECK ( Anzahl >= 0 ),
   Groesse
      REAL, -- Quadratmeter
   CHECK ( Groesse >= 0 ),
   zu_Kompensationsmassnahme
      INTEGER NOT NULL REFERENCES Kompensationsmassnahme
)

CREATE TABLE Teilmassn__h_Herst_Fertigstpfl (
   Teilmassnahme
      INTEGER NOT NULL REFERENCES Teilmassnahme,
   Herstellung_Fertigstpflege
      INTEGER NOT NULL REFERENCES Herstellung_Fertigstpflege
)

CREATE TABLE Teilmassn__h_Entwicklungspfl (
   Teilmassnahme
      INTEGER NOT NULL REFERENCES Teilmassnahme,
   Entwicklungspflege
      INTEGER NOT NULL REFERENCES Entwicklungspflege
)

CREATE TABLE Teilmassn__h_Unterhaltungspfl (
   Teilmassnahme
      INTEGER NOT NULL REFERENCES Teilmassnahme,
   Unterhaltungspflege
      INTEGER NOT NULL REFERENCES Unterhaltungspflege
)

CREATE TABLE Kompensationsteilflaeche (
   Kompensationsteilflaeche_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Kompensationsteilflaeche_ID) REFERENCES Geometrieschema.Flaechenobjekt_Modell,
   Groesse
      REAL NOT NULL, -- Quadratmeter
   CHECK ( Groesse >= 0 ),
   auf_Nutzungsartteilflaeche
      INTEGER NOT NULL REFERENCES Grunderwerb.Nutzungsartteilflaeche,
   zu_Teilmassnahme
      INTEGER NOT NULL REFERENCES Teilmassnahme
)

CREATE TABLE Herstellung_Fertigstpflege (
   Herstellung_Fertigstpflege_ID
      INTEGER NOT NULL PRIMARY KEY,
   Massnahme
      VARCHAR(255),
   Entwicklungsziel_erreicht_am
      CHAR(10), -- Datum
   CHECK ( Entwicklungsziel_erreicht_am LIKE '__.__.____' ),
   Kosten_der_Herstellung
      REAL, -- EURO
   CHECK ( Kosten_der_Herstellung >= 0 ),
   Kosten_der_Fertigstellungspfl
      REAL, -- EURO
   CHECK ( Kosten_der_Fertigstellungspfl >= 0 )
)

CREATE TABLE Entwicklungspflege (
   Entwicklungspflege_ID
      INTEGER NOT NULL PRIMARY KEY,
   Art_der_Pflege
      VARCHAR(255),
   Einheitspreis
      REAL, -- EURO
   CHECK ( Einheitspreis >= 0 ),
   Gesamtpreis
      REAL, -- EURO
   CHECK ( Gesamtpreis >= 0 ),
   Zeitpunkt_der_Pflege
      CHAR(10), -- Datum
   CHECK ( Zeitpunkt_der_Pflege LIKE '__.__.____' ),
   Durchfuehrung_von
      VARCHAR(255),
   Kosten
      REAL, -- EURO
   CHECK ( Kosten >= 0 ),
   Pflegevertrag_mit
      VARCHAR(255),
   Vertrag_endet_am
      CHAR(10), -- Datum
   CHECK ( Vertrag_endet_am LIKE '__.__.____' ),
   abgenommen_am
      CHAR(10), -- Datum
   CHECK ( abgenommen_am LIKE '__.__.____' ),
   Entwicklungsziel_erreicht_am
      CHAR(10), -- Datum
   CHECK ( Entwicklungsziel_erreicht_am LIKE '__.__.____' ),
   Vertragsinhalte
      VARCHAR(255),
   Anmerkungen_zur_Pflege
      VARCHAR(255),
   Hinweise_f_die_weitere_Pflege
      VARCHAR(255)
)

CREATE TABLE Unterhaltungspflege (
   Unterhaltungspflege_ID
      INTEGER NOT NULL PRIMARY KEY,
   Art_der_Pflege
      VARCHAR(255),
   Einheitspreis
      REAL, -- EURO
   CHECK ( Einheitspreis >= 0 ),
   Gesamtpreis
      REAL, -- EURO
   CHECK ( Gesamtpreis >= 0 ),
   Durchfuehrung_von
      VARCHAR(255),
   Pflegevertrag_mit
      VARCHAR(255),
   Vertrag_endet_am
      CHAR(10), -- Datum
   CHECK ( Vertrag_endet_am LIKE '__.__.____' ),
   abgenommen_am
      CHAR(10), -- Datum
   CHECK ( abgenommen_am LIKE '__.__.____' ),
   Vertragsinhalte
      VARCHAR(255),
   Anmerkungen_zur_Unterhpflege
      VARCHAR(255),
   Hinweise_f_die_weitere_Pflege
      VARCHAR(255),
   Kosten_d_Unterhpflege_aktuell
      REAL, -- EURO
   CHECK ( Kosten_d_Unterhpflege_aktuell >= 0 ),
   Kosten_d_Unterhpflege_aufgel
      REAL, -- EURO
   CHECK ( Kosten_d_Unterhpflege_aufgel >= 0 )
)

CREATE TABLE Baumassnahme (
   Baumassnahme_ID
      INTEGER NOT NULL PRIMARY KEY,
   Laenge
      REAL, -- Meter
   naechster_Ort
      VARCHAR(255),
   Bezeichnung
      VARCHAR(255),
   Beginn
      CHAR(10), -- Datum
   CHECK ( Beginn LIKE '__.__.____' ),
   Fertigstellung
      CHAR(10), -- Datum
   CHECK ( Fertigstellung LIKE '__.__.____' ),
   Verkehrsfreigabe
      CHAR(10), -- Datum
   CHECK ( Verkehrsfreigabe LIKE '__.__.____' ),
   Fertigstellung_Kompensmassn
      CHAR(10), -- Datum
   CHECK ( Fertigstellung_Kompensmassn LIKE '__.__.____' ),
   Landschaftsbehoerde
      VARCHAR(255),
   Art_der_Genehmigung
      VARCHAR(255),
   Datum_der_Genehmigung
      CHAR(10), -- Datum
   CHECK ( Datum_der_Genehmigung LIKE '__.__.____' ),
   Aktenzeichen
      VARCHAR(255),
   PROJIS_Nummer
      VARCHAR(255),
   Fertigstellung_LBP
      CHAR(10), -- Datum
   CHECK ( Fertigstellung_LBP LIKE '__.__.____' ),
   Gesamtkosten_Grunderwerb_Komp
      REAL, -- EURO
   CHECK ( Gesamtkosten_Grunderwerb_Komp >= 0 ),
   Gesamtkosten_Herstellung_Komp
      REAL, -- EURO
   CHECK ( Gesamtkosten_Herstellung_Komp >= 0 ),
   Gesamtkosten_Fertigstell_Komp
      REAL, -- EURO
   CHECK ( Gesamtkosten_Fertigstell_Komp >= 0 ),
   Gesamtkosten_Entwicklpfl_Komp
      REAL, -- EURO
   CHECK ( Gesamtkosten_Entwicklpfl_Komp >= 0 ),
   Gesamtkosten_Unterhpfl_Komp
      REAL, -- EURO
   CHECK ( Gesamtkosten_Unterhpfl_Komp >= 0 ),
   Bearbeiter
      VARCHAR(255),
   letzte_Bearbeitung
      CHAR(10), -- Datum
   CHECK ( letzte_Bearbeitung LIKE '__.__.____' ),
   in_Verwaltungsbezirk
      INTEGER REFERENCES Administration.Verwaltungsbezirk_abstrakt,
   zu_Strasse
      INTEGER REFERENCES Strassennetz.Strasse_abstrakt,
   zu_Abschnitt_oder_Ast
      INTEGER REFERENCES Strassennetz.Abschnitt_oder_Ast_abstrakt
)

CREATE TABLE Baumassnahme__hat_Kompensmassn (
   Baumassnahme
      INTEGER NOT NULL REFERENCES Baumassnahme,
   Kompensationsmassnahme
      INTEGER NOT NULL REFERENCES Kompensationsmassnahme
)

CREATE TABLE Baum (
   Baum_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Baum_ID) REFERENCES Bewuchs,
   Baumart
      INTEGER REFERENCES Baumart,
   Stammumfang
      REAL, -- Meter
   Stammdurchmesser
      REAL, -- Meter
   Kronendurchmesser
      REAL, -- Meter
   Wurzelhalsdurchmesser
      REAL, -- Meter
   Stammhoehe
      REAL, -- Meter
   Baumhoehe
      REAL, -- Meter
   Baumscheibe
      REAL, -- Quadratmeter
   CHECK ( Baumscheibe >= 0 ),
   Pflanzjahr
      INTEGER, -- Jahr
   gefaellt
      INTEGER REFERENCES Logical_Types.Boolean,
   letzte_Baumschau
      CHAR(10), -- Datum
   CHECK ( letzte_Baumschau LIKE '__.__.____' ),
   Schiefstand
      INTEGER REFERENCES Schiefstand_Baum
)

CREATE TABLE Baum__Zustandsbeurteilung (
   Baum
      INTEGER NOT NULL REFERENCES Baum,
   Zustandsbeurteilung_Baum
      INTEGER NOT NULL REFERENCES Zustandsbeurteilung_Baum
)

CREATE TABLE Baum__hat_Baumschaeden (
   Baum
      INTEGER NOT NULL REFERENCES Baum,
   Baumschaden
      INTEGER NOT NULL REFERENCES Baumschaden
)

CREATE TABLE Baum__hat_Standort (
   Baum
      INTEGER NOT NULL REFERENCES Baum,
   Standortbeschreibung_Baum
      INTEGER NOT NULL REFERENCES Standortbeschreibung_Baum
)

CREATE TABLE Baumart (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL,
   Baumart_botanisch
      VARCHAR(255),
   Gattung
      VARCHAR(255)
)

INSERT INTO Baumart VALUES (700,'Tanne','Abies','Abies')
INSERT INTO Baumart VALUES (2404,'Weitanne','Abies alba','Abies')
INSERT INTO Baumart VALUES (2405,'Purpurtanne','Abies amabilis','Abies')
INSERT INTO Baumart VALUES (2407,'Balsamtanne','Abies balsamea','Abies')
INSERT INTO Baumart VALUES (2410,'Griechische Tanne','Abies cephalonica','Abies')
INSERT INTO Baumart VALUES (2411,'Coloradotanne, Grautanne, Blautanne','Abies concolor','Abies')
INSERT INTO Baumart VALUES (2415,'Kstentanne','Abies grandis','Abies')
INSERT INTO Baumart VALUES (2417,'Nikkotanne','Abies homolepis','Abies')
INSERT INTO Baumart VALUES (2419,'Koreatanne','Abies koreana','Abies')
INSERT INTO Baumart VALUES (2428,'Nordmannsanne','Abies nordmanniana','Abies')
INSERT INTO Baumart VALUES (2426,'Adelstanne','Abies procera','Abies')
INSERT INTO Baumart VALUES (2432,'Veitch''s-Tanne','Abies veitchii','Abies')
INSERT INTO Baumart VALUES (100,'Ahorn','Acer','Acer')
INSERT INTO Baumart VALUES (1337,'Feldahorn','Acer campestre','Acer')
INSERT INTO Baumart VALUES (1338,'Roter Schlangehautahorn','Acer capillipes','Acer')
INSERT INTO Baumart VALUES (4791,'Kolchischer Spitzahorn','Acer cappadocicum','Acer')
INSERT INTO Baumart VALUES (1339,'Weinahorn','Acer circinatum','Acer')
INSERT INTO Baumart VALUES (3288,'Davidsahorn','Acer davidii','Acer')
INSERT INTO Baumart VALUES (1345,'Franzsischer Ahorn','Acer monspessulanum','Acer')
INSERT INTO Baumart VALUES (1347,'Eschenahorn','Acer negundo','Acer')
INSERT INTO Baumart VALUES (1348,'Goldbunter Eschenahorn','Acer negundo ''Aureovariegatum''','Acer')
INSERT INTO Baumart VALUES (1349,'Gelber Eschenahorn','Acer negundo ''Odessanum''','Acer')
INSERT INTO Baumart VALUES (1350,'Silberbunter Eschenahorn','Acer negundo ''Variegatum''','Acer')
INSERT INTO Baumart VALUES (1351,'Fcherahorn','Acer palmatum','Acer')
INSERT INTO Baumart VALUES (1352,'Roter Fcherahorn','Acer palmatum ''Atropurpureum''','Acer')
INSERT INTO Baumart VALUES (1359,'Grner Schlitzahorn','Acer palmatum ''Dissecum''','Acer')
INSERT INTO Baumart VALUES (1355,'Roter Schlitzahorn','Acer palmatum ''Dissecum Atropurpureum''','Acer')
INSERT INTO Baumart VALUES (1356,'Roter Schlitzahorn ''Garnet''','Acer palmatum ''Dissecum Garnet''','Acer')
INSERT INTO Baumart VALUES (1357,'Roter Schlitzahorn ''Nigrum''','Acer palmatum ''Dissecum Nigrum''','Acer')
INSERT INTO Baumart VALUES (1362,'Spitzahorn','Acer platanoides','Acer')
INSERT INTO Baumart VALUES (4520,'Kegelfrmiger Spitzahorn','Acer platanoides ''Cleveland''','Acer')
INSERT INTO Baumart VALUES (4571,'Sulenfrmiger Spitzahorn','Acer platanoides ''Columnare''','Acer')
INSERT INTO Baumart VALUES (4757,'Roter Spitzahorn ''Crimson King''','Acer platanoides ''Crimson King''','Acer')
INSERT INTO Baumart VALUES (1369,'Kegelfrmiger Spitzahorn ''Emerald Queen''','Acer platanoides ''Emerald Queen''','Acer')
INSERT INTO Baumart VALUES (1365,'Blutahorn, Roter Spitzahorn ''Faassen''s Black''','Acer platanoides ''Faassen''s Black''','Acer')
INSERT INTO Baumart VALUES (3810,'Spitzahorn ''Farlake''s Green''','Acer platanoides ''Farlake''s Green''','Acer')
INSERT INTO Baumart VALUES (1366,'Kugelahorn','Acer platanoides ''Globosum''','Acer')
INSERT INTO Baumart VALUES (1367,'Vogelkrallenahorn ''Laciniatum''','Acer platanoides ''Laciniatum''','Acer')
INSERT INTO Baumart VALUES (2864,'Spitzahorn ''Olmsted''','Acer platanoides ''Olmsted''','Acer')
INSERT INTO Baumart VALUES (1368,'Spitzahorn ''Reitenbachii''','Acer platanoides ''Reitenbachii''','Acer')
INSERT INTO Baumart VALUES (2931,'Oregon-Blutahorn','Acer platanoides ''Royal Red''','Acer')
INSERT INTO Baumart VALUES (4573,'Schattenahorn ''Summershade''','Acer platanoides ''Summershade''','Acer')
INSERT INTO Baumart VALUES (1370,'Bergahorn','Acer pseudoplatanus','Acer')
INSERT INTO Baumart VALUES (3047,'Purpurblttriger Bergahorn','Acer pseudoplatanus ''Atropurpureum''','Acer')
INSERT INTO Baumart VALUES (1371,'Schmalkroniger Bergahorn ''Erectum''','Acer pseudoplatanus ''Erectum''','Acer')
INSERT INTO Baumart VALUES (2854,'Kegelfrmiger Bergahorn ''Negenia''','Acer pseudoplatanus ''Negenia''','Acer')
INSERT INTO Baumart VALUES (2855,'Breitkegelfrmiger Bergahorn ''Rotterdam''','Acer pseudoplatanus ''Rotterdam''','Acer')
INSERT INTO Baumart VALUES (1375,'Rotahorn','Acer rubrum','Acer')
INSERT INTO Baumart VALUES (1376,'Rostbartahorn','Acer rufinerve','Acer')
INSERT INTO Baumart VALUES (1377,'Silberahorn','Acer saccharinum','Acer')
INSERT INTO Baumart VALUES (1382,'Geschlitzter Silberahorn ''Wieri''','Acer saccharinum ''Wieri''','Acer')
INSERT INTO Baumart VALUES (3292,'Zuckerahorn','Acer saccharum','Acer')
INSERT INTO Baumart VALUES (110,'Rosskastanie','Aesculus','Aesculus')
INSERT INTO Baumart VALUES (1385,'Rotblhende Rosskastanie, Purpurkastanie','Aesculus carnea','Aesculus')
INSERT INTO Baumart VALUES (4795,'Appalachen-Rosskastanie','Aesculus flava','Aesculus')
INSERT INTO Baumart VALUES (1387,'Gemeine Rosskastanie','Aesculus hippocastanum','Aesculus')
INSERT INTO Baumart VALUES (1388,'Geflltblhende Rosskastanie','Aesculus hippocastanum ''Baumannii''','Aesculus')
INSERT INTO Baumart VALUES (3886,'Sulen-Rosskastanie','Aesculus hippocastanum ''Fastigiata''','Aesculus')
INSERT INTO Baumart VALUES (2968,'Kugel-Rosskastanie','Aesculus hippocastanum ''Umbraculifera''','Aesculus')
INSERT INTO Baumart VALUES (120,'Gtterbaum','Ailanthus','Ailanthus')
INSERT INTO Baumart VALUES (1390,'Gtterbaum','Ailanthus altissima','Ailanthus')
INSERT INTO Baumart VALUES (130,'Erle','Alnus','Alnus')
INSERT INTO Baumart VALUES (3061,'Italienische Erle','Alnus cordata','Alnus')
INSERT INTO Baumart VALUES (1391,'Schwarzerle, Roterle','Alnus glutinosa','Alnus')
INSERT INTO Baumart VALUES (1392,'Kaisererle ''Imperialis''','Alnus glutinosa ''Imperialis''','Alnus')
INSERT INTO Baumart VALUES (1393,'Grauerle, Weierle','Alnus incana','Alnus')
INSERT INTO Baumart VALUES (1395,'Golderle','Alnus incana ''Aurea''','Alnus')
INSERT INTO Baumart VALUES (1394,'Geschlitzblttrige Grauerle','Alnus incana ''Laciniata''','Alnus')
INSERT INTO Baumart VALUES (1396,'Grnerle, Alpenerle','Alnus viridis','Alnus')
INSERT INTO Baumart VALUES (1399,'Hngende Felsenbirne','Amelanchier laevis','Amelanchier')
INSERT INTO Baumart VALUES (1398,'Kupfer-Felsenbirne','Amelanchier lamarckii','Amelanchier')
INSERT INTO Baumart VALUES (1400,'Echte Felsenbirne','Amelanchier ovalis','Amelanchier')
INSERT INTO Baumart VALUES (140,'Aralie','Aralia','Aralia')
INSERT INTO Baumart VALUES (1405,'Jap. Angelikabaum, Jap. Aralie','Aralia elata','Aralia')
INSERT INTO Baumart VALUES (1406,'Goldaralie','Aralia elata ''Aureovariegata''','Aralia')
INSERT INTO Baumart VALUES (1407,'Silberaralie','Aralia elata ''Variegata''','Aralia')
INSERT INTO Baumart VALUES (2433,'Araukarie, Schmucktanne','Araucaria araucana','Araucaria')
INSERT INTO Baumart VALUES (9999,'...','Baumart nicht bestimmt','nicht bestimmt')
INSERT INTO Baumart VALUES (150,'Berberitze','Berberis','Berberis')
INSERT INTO Baumart VALUES (1422,'Grne Heckenberberitze','Berberis thunbergii','Berberis')
INSERT INTO Baumart VALUES (160,'Birke','Betula','Betula')
INSERT INTO Baumart VALUES (1450,'Himalayabirke','Betula jacquemontii','Betula')
INSERT INTO Baumart VALUES (1443,'Schwarzbirke, Flussbirke','Betula nigra','Betula')
INSERT INTO Baumart VALUES (1444,'Papierbirke','Betula papyrifera','Betula')
INSERT INTO Baumart VALUES (1451,'Sandbirke, Weibirke','Betula pendula','Betula')
INSERT INTO Baumart VALUES (1452,'Schlitzblttrige Birke','Betula pendula ''Dalecarlica''','Betula')
INSERT INTO Baumart VALUES (1453,'Sulenbirke','Betula pendula ''Fastigiata''','Betula')
INSERT INTO Baumart VALUES (1455,'Blutbirke, Purpurbirke','Betula pendula ''Purpurea''','Betula')
INSERT INTO Baumart VALUES (1456,'Hngebirke','Betula pendula ''Tristis''','Betula')
INSERT INTO Baumart VALUES (1457,'Trauerbirke','Betula pendula ''Youngii''','Betula')
INSERT INTO Baumart VALUES (1448,'Moor-Birke','Betula pubescens','Betula')
INSERT INTO Baumart VALUES (170,'Hainbuche','Carpinus','Carpinus')
INSERT INTO Baumart VALUES (1510,'Hainbuche, Weibuche','Carpinus betulus','Carpinus')
INSERT INTO Baumart VALUES (1511,'Gemeine Weibuche (Sulenform)','Carpinus betulus ''Fastigiata''','Carpinus')
INSERT INTO Baumart VALUES (2858,'Rotlaubige Hainbuche','Carpinus betulus ''Purpurea''','Carpinus')
INSERT INTO Baumart VALUES (3301,'Eichenblttrige Hainbuche','Carpinus betulus ''Quercifolia''','Carpinus')
INSERT INTO Baumart VALUES (180,'Hickory','Carya','Carya')
INSERT INTO Baumart VALUES (190,'Kastanie','Castanea','Castanea')
INSERT INTO Baumart VALUES (1514,'Esskastanie','Castanea sativa','Castanea')
INSERT INTO Baumart VALUES (200,'Trompetenbaum','Catalpa','Catalpa')
INSERT INTO Baumart VALUES (1515,'Gew. Trompetenbaum','Catalpa bignonioides','Catalpa')
INSERT INTO Baumart VALUES (2435,'Atlaszeder','Cedrus atlantica','Cedrus')
INSERT INTO Baumart VALUES (2441,'Himalaya-Zeder','Cedrus deodara','Cedrus')
INSERT INTO Baumart VALUES (2442,'Libanon-Zeder','Cedrus libani','Cedrus')
INSERT INTO Baumart VALUES (210,'Zrgelbaum','Celtis','Celtis')
INSERT INTO Baumart VALUES (4674,'Sdlicher Zrgelbaum','Celtis australis','Celtis')
INSERT INTO Baumart VALUES (4676,'Amerikanischer Zrgelbaum','Celtis occidentalis','Celtis')
INSERT INTO Baumart VALUES (2443,'Kopfeibe','Cephalotaxus fortunei','Cephalotaxus')
INSERT INTO Baumart VALUES (220,'Katsurabaum','Cercidiphyllum','Cercidiphyllum')
INSERT INTO Baumart VALUES (1523,'Judasblattbaum','Cercidiphyllum japonicum','Cercidiphyllum')
INSERT INTO Baumart VALUES (230,'Judasbaum','Cercis','Cercis')
INSERT INTO Baumart VALUES (1524,'Gemeiner Judasbaum','Cercis siliquastrum','Cercis')
INSERT INTO Baumart VALUES (710,'Zeder','Cerdus','Cerdus')
INSERT INTO Baumart VALUES (720,'Scheinzypresse','Chamaecyparis','Chamaecyparis')
INSERT INTO Baumart VALUES (2444,'Lawsons Scheinzypresse','Chamaecyparis lawsoniana','Chamaecyparis')
INSERT INTO Baumart VALUES (2446,'Blaue Sulenzypresse','Chamaecyparis lawsoniana ''Columnaris''','Chamaecyparis')
INSERT INTO Baumart VALUES (2471,'Nutka Scheinzypresse','Chamaecyparis nootkatensis','Chamaecyparis')
INSERT INTO Baumart VALUES (2475,'Hinoki-Scheinzypresse','Chamaecyparis obtusa','Chamaecyparis')
INSERT INTO Baumart VALUES (2484,'Silberzypresse','Chamaecyparis pisifera','Chamaecyparis')
INSERT INTO Baumart VALUES (240,'Hartriegel','Cornus','Cornus')
INSERT INTO Baumart VALUES (1557,'Weier Hartriegel','Cornus alba','Cornus')
INSERT INTO Baumart VALUES (1565,'Hoher Etagenhartriegel','Cornus controversa','Cornus')
INSERT INTO Baumart VALUES (1566,'Amerikanischer Blumen-Hartriegel','Cornus florida','Cornus')
INSERT INTO Baumart VALUES (1568,'Japanischer Blumen-Hartriegel','Cornus kousa','Cornus')
INSERT INTO Baumart VALUES (1570,'Kornelkirsche','Cornus mas','Cornus')
INSERT INTO Baumart VALUES (1571,'Westamerikanischer Blumen-Hartriegel','Cornus nutallii','Cornus')
INSERT INTO Baumart VALUES (1572,'Roter Hartriegel','Cornus sanguinea','Cornus')
INSERT INTO Baumart VALUES (250,'Scheinhasel','Corylopsis','Corylopsis')
INSERT INTO Baumart VALUES (260,'Haselnuss','Corylus','Corylus')
INSERT INTO Baumart VALUES (1576,'Haselnuss','Corylus avellana','Corylus')
INSERT INTO Baumart VALUES (1577,'Goldhasel','Corylus avellana ''Aurea''','Corylus')
INSERT INTO Baumart VALUES (1578,'Korkenzieherhasel','Corylus avellana ''Contorta''','Corylus')
INSERT INTO Baumart VALUES (1590,'Baumhasel','Corylus colurna','Corylus')
INSERT INTO Baumart VALUES (1591,'Bluthasel','Corylus maxima ''Purpurea''','Corylus')
INSERT INTO Baumart VALUES (270,'Weidorn','Crataegus','Crataegus')
INSERT INTO Baumart VALUES (1641,'Zweigriffliger Weidorn','Crataegus laevigata','Crataegus')
INSERT INTO Baumart VALUES (1639,'Rotdorn','Crataegus laevigata ''Paul''s Scarlet''','Crataegus')
INSERT INTO Baumart VALUES (1635,'Lavalles Weidorn, Apfeldorn','Crataegus lavallei ''Carrierei''','Crataegus')
INSERT INTO Baumart VALUES (1638,'Eingriffliger Weidorn','Crataegus monogyna','Crataegus')
INSERT INTO Baumart VALUES (2978,'Sulen Weidorn','Crataegus monogyna ''Stricta''','Crataegus')
INSERT INTO Baumart VALUES (1642,'Pflaumenbl. Weidorn, Pflaumendorn','Crataegus prunifolia','Crataegus')
INSERT INTO Baumart VALUES (2503,'Sicheltanne','Cryptomeria japonica','Cryptomeria')
INSERT INTO Baumart VALUES (3257,'Spietanne','Cunninghamia lanceolata','Cunninghamia')
INSERT INTO Baumart VALUES (2785,'Leyland-Zypresse','Cupressucyparis leclandii','Cupressucyparis')
INSERT INTO Baumart VALUES (4524,'Arizona-Zypresse','Cupressus arizonica','Cupressus')
INSERT INTO Baumart VALUES (280,'lweide','Elaeagnus','Elaeagnus')
INSERT INTO Baumart VALUES (1697,'Schmalblttrige lweide','Elaeagnus angustifolia','Elaeagnus')
INSERT INTO Baumart VALUES (1698,'Silberlweide','Elaeagnus commutata','Elaeagnus')
INSERT INTO Baumart VALUES (1699,'Essbare lweide','Elaeagnus muliflora','Elaeagnus')
INSERT INTO Baumart VALUES (290,'Spindelstrauch','Euonymus','Euonymus')
INSERT INTO Baumart VALUES (1726,'Pfaffenhtchen','Euonymus europaeus','Euonymus')
INSERT INTO Baumart VALUES (300,'Buche','Fagus','Fagus')
INSERT INTO Baumart VALUES (3317,'Orientalische Buche','Fagus orientalis','Fagus')
INSERT INTO Baumart VALUES (1739,'Rotbuche','Fagus sylvatica','Fagus')
INSERT INTO Baumart VALUES (1744,'Sulen-Rotbuche','Fagus sylvatica ''Dawyck''','Fagus')
INSERT INTO Baumart VALUES (1747,'Grne Hngebuche','Fagus sylvatica ''Pendula''','Fagus')
INSERT INTO Baumart VALUES (1749,'Trauerblutbuche, Schwarzrote Hngebuche','Fagus sylvatica ''Pupurea-Pendula''','Fagus')
INSERT INTO Baumart VALUES (1748,'Blutbuche-Smling, Purpurbuche','Fagus sylvatica ''Purpurea''','Fagus')
INSERT INTO Baumart VALUES (1741,'Veredelte Blutbuche','Fagus sylvatica ''Purpurea Latifolia''','Fagus')
INSERT INTO Baumart VALUES (310,'Esche','Fraxinus','Fraxinus')
INSERT INTO Baumart VALUES (4799,'Schmalblttrige Esche','Fraxinus angustifolia','Fraxinus')
INSERT INTO Baumart VALUES (2961,'Kleinkronige Esche ''Raywood''','Fraxinus angustifolia ''Raywood''','Fraxinus')
INSERT INTO Baumart VALUES (1761,'Gemeine Esche','Fraxinus excelsior','Fraxinus')
INSERT INTO Baumart VALUES (2867,'Goldesche','Fraxinus excelsior ''Aurea''','Fraxinus')
INSERT INTO Baumart VALUES (2762,'Einblttrige Esche','Fraxinus excelsior ''Diversifolia''','Fraxinus')
INSERT INTO Baumart VALUES (2869,'Kegelfrmige Esche','Fraxinus excelsior ''Eureka''','Fraxinus')
INSERT INTO Baumart VALUES (2872,'Schmalkronige Esche','Fraxinus excelsior ''Geessink''','Fraxinus')
INSERT INTO Baumart VALUES (1764,'Hnge-Esche','Fraxinus excelsior ''Pendula''','Fraxinus')
INSERT INTO Baumart VALUES (1765,'Nichtfruchtende Straenesche','Fraxinus excelsior ''Westhof''s Glorie''','Fraxinus')
INSERT INTO Baumart VALUES (1766,'Blumenesche','Fraxinus ornus','Fraxinus')
INSERT INTO Baumart VALUES (4800,'Rotesche','Fraxinus pennsylvanica','Fraxinus')
INSERT INTO Baumart VALUES (730,'Ginkgo, Fcherblattbaum','Ginkgo','Ginkgo')
INSERT INTO Baumart VALUES (2508,'Fcherblattbaum, Ginkgo','Ginkgo biloba','Ginkgo')
INSERT INTO Baumart VALUES (2509,'Sulen-Fcherblattbaum','Ginkgo biloba ''Fastigiata''','Ginkgo')
INSERT INTO Baumart VALUES (3258,'Hngender Fcherblattbaum','Ginkgo biloba ''Pendula''','Ginkgo')
INSERT INTO Baumart VALUES (320,'Gleditschie, Lederhlsenbaum','Gleditsia','Gleditsia')
INSERT INTO Baumart VALUES (1782,'Lederhlsenbaum','Gleditsia triacanthos','Gleditsia')
INSERT INTO Baumart VALUES (4760,'Dornenloser Lederhlsenbaum','Gleditsia triacanthos inermis','Gleditsia')
INSERT INTO Baumart VALUES (3385,'Lederhlsenbaum ''Pyramidalis''','Gleditsia triacanthos ''Pyramidalis''','Gleditsia')
INSERT INTO Baumart VALUES (1783,'Geweihbaum','Gymnocladus dioicus','Gymnocladus')
INSERT INTO Baumart VALUES (1784,'Schneeglckchenbaum','Halesia carolina','Halesia')
INSERT INTO Baumart VALUES (330,'Zaubernuss','Hamamelis','Hamamelis')
INSERT INTO Baumart VALUES (1788,'Japanische Zaubernuss','Hamamelis japonica','Hamamelis')
INSERT INTO Baumart VALUES (1793,'Lichtmess-Zaubernuss','Hamamelis mollis','Hamamelis')
INSERT INTO Baumart VALUES (1798,'Herbstblhende Zaubernuss','Hamamelis virginiana','Hamamelis')
INSERT INTO Baumart VALUES (340,'Sanddorn','Hippophae','Hippophae')
INSERT INTO Baumart VALUES (1827,'Sanddorn','Hippophae rhamnoides','Hippophae')
INSERT INTO Baumart VALUES (1847,'Gemeine Stechpalme, Hlse','Ilex aquifolium','Ilex')
INSERT INTO Baumart VALUES (350,'Nussbaum','Juglans','Juglans')
INSERT INTO Baumart VALUES (1869,'Schwarznuss','Juglans nigra','Juglans')
INSERT INTO Baumart VALUES (1870,'Walnuss','Juglans regia','Juglans')
INSERT INTO Baumart VALUES (740,'Wachholder','Juniperus','Juniperus')
INSERT INTO Baumart VALUES (2527,'Chinesischer Wacholder','Juniperus chinensis','Juniperus')
INSERT INTO Baumart VALUES (2533,'Gemeiner Wacholder','Juniperus communis','Juniperus')
INSERT INTO Baumart VALUES (2559,'Zypressen-Wacholder','Juniperus virginiana','Juniperus')
INSERT INTO Baumart VALUES (1876,'Blasenbaum','Koelreuteria paniculata','Koelreuteria')
INSERT INTO Baumart VALUES (360,'Goldregen','Laburnum','Laburnum')
INSERT INTO Baumart VALUES (1880,'Alpen-Goldregen','Laburnum alpinum','Laburnum')
INSERT INTO Baumart VALUES (1881,'Gemeiner Goldregen','Laburnum anagyroidis','Laburnum')
INSERT INTO Baumart VALUES (1882,'Edel-Goldregen','Laburnum watereri ''Vossii''','Laburnum')
INSERT INTO Baumart VALUES (750,'Lrche','Larix','Larix')
INSERT INTO Baumart VALUES (2568,'Europische Lrche','Larix decidua','Larix')
INSERT INTO Baumart VALUES (2570,'Japanische Lrche','Larix kaempferi','Larix')
INSERT INTO Baumart VALUES (1883,'Amberbaum','Liquidambar styraciflua','Liquidambar')
INSERT INTO Baumart VALUES (1894,'Amerikanischer Tulpenbaum','Liriodendron tulpifera','Liriodendron')
INSERT INTO Baumart VALUES (370,'Magnolie','Magnolia','Magnolia')
INSERT INTO Baumart VALUES (1919,'Sommermagnolie','Magnolia sieboldii','Magnolia')
INSERT INTO Baumart VALUES (1920,'Tulpenmagnolie','Magnolia soulangiana','Magnolia')
INSERT INTO Baumart VALUES (1927,'Sternmagnolie','Magnolia stellata','Magnolia')
INSERT INTO Baumart VALUES (380,'Kultur-Apfel','Malus','Obst')
INSERT INTO Baumart VALUES (1972,'Zierapfel (alle)','Malus ''Professor Sprenger''','Malus')
INSERT INTO Baumart VALUES (1938,'Wildapfel','Malus sylvestris','Malus')
INSERT INTO Baumart VALUES (2574,'Chinesisches Rotholz, Urwelt-Mammutbaum','Metasequoia glyptostroboides','Metasequoia')
INSERT INTO Baumart VALUES (390,'Maulbeere','Morus','Morus')
INSERT INTO Baumart VALUES (1973,'Weie Maulbeere','Morus alba','Morus')
INSERT INTO Baumart VALUES (4762,'Schwarze Maulbeere','Morus nigra','Morus')
INSERT INTO Baumart VALUES (1976,'Scheinbuche','Nothofagus antarctica','Nothofagus')
INSERT INTO Baumart VALUES (1985,'Eisenbaum','Parrotia persica','Parrotia')
INSERT INTO Baumart VALUES (1986,'Blauglockenbaum','Paulownia tomentosa','Paulownia')
INSERT INTO Baumart VALUES (1992,'Echter Korkbaum','Phellodendron amurense','Phellodendron')
INSERT INTO Baumart VALUES (760,'Fichte','Picea','Picea')
INSERT INTO Baumart VALUES (2579,'Gemeine Fichte, Rottanne','Picea abies','Picea')
INSERT INTO Baumart VALUES (2582,'Sulenfichte','Picea abies ''Columnaris''','Picea')
INSERT INTO Baumart VALUES (2589,'Trauer-Hnge-Fichte','Picea abies ''Inversa''','Picea')
INSERT INTO Baumart VALUES (2577,'Mhnenfichte','Picea breweriana','Picea')
INSERT INTO Baumart VALUES (2578,'Engelmann-Fichte','Picea engelmannii','Picea')
INSERT INTO Baumart VALUES (2606,'Weifichte','Picea glauca','Picea')
INSERT INTO Baumart VALUES (2611,'Schwarzfichte','Picea mariana','Picea')
INSERT INTO Baumart VALUES (2614,'Serbische Fichte','Picea omorica','Picea')
INSERT INTO Baumart VALUES (2617,'Kaukasusfichte','Picea orientalis','Picea')
INSERT INTO Baumart VALUES (2621,'Stechfichte','Picea pungens','Picea')
INSERT INTO Baumart VALUES (2622,'Blaue Stechfichte, Blaufichte','Picea pungens glauca','Picea')
INSERT INTO Baumart VALUES (2635,'Sitkafichte','Picea sitchensis','Picea')
INSERT INTO Baumart VALUES (770,'Kiefer','Pinus','Pinus')
INSERT INTO Baumart VALUES (2636,'Fuchsschwanzkiefer','Pinus aristata','Pinus')
INSERT INTO Baumart VALUES (2638,'Zirbelkiefer, Arve','Pinus cembra','Pinus')
INSERT INTO Baumart VALUES (2644,'Drehkiefer','Pinus contorta','Pinus')
INSERT INTO Baumart VALUES (1736,'Murray''s-Drehkiefer, Murraykiefer','Pinus contorta murrayana','Pinus')
INSERT INTO Baumart VALUES (2651,'Jeffrey''s Kiefer','Pinus jeffreyi','Pinus')
INSERT INTO Baumart VALUES (2650,'Schlangenhautkiefer','Pinus leucodermis','Pinus')
INSERT INTO Baumart VALUES (2654,'Bergkiefer, Latsche','Pinus mugo','Pinus')
INSERT INTO Baumart VALUES (1762,'Schwarzkiefer','Pinus nigra','Pinus')
INSERT INTO Baumart VALUES (2660,'sterreichische Schwarzkiefer','Pinus nigra austriaca','Pinus')
INSERT INTO Baumart VALUES (2662,'Mdchenkiefer','Pinus parviflora','Pinus')
INSERT INTO Baumart VALUES (2664,'Rumelische Kiefer, Mazedonische Kiefer','Pinus peuce','Pinus')
INSERT INTO Baumart VALUES (2665,'Gelbkiefer','Pinus ponderosa','Pinus')
INSERT INTO Baumart VALUES (2668,'Zapfenkiefer','Pinus schwerinii','Pinus')
INSERT INTO Baumart VALUES (2643,'Sibirische Kiefer','Pinus sibirica','Pinus')
INSERT INTO Baumart VALUES (2672,'Weymouthskiefer, Strobe','Pinus strobus','Pinus')
INSERT INTO Baumart VALUES (2669,'Gemeine Kiefer','Pinus sylvestris','Pinus')
INSERT INTO Baumart VALUES (4323,'Hakenkiefer','Pinus uncinata','Pinus')
INSERT INTO Baumart VALUES (2648,'Trnenkiefer','Pinus wallichiana','Pinus')
INSERT INTO Baumart VALUES (400,'Platane','Platanus','Platanus')
INSERT INTO Baumart VALUES (2019,'Ahornblttrige Platane','Platanus acerifolia','Platanus')
INSERT INTO Baumart VALUES (1583,'Morgenlndische Platane','Platanus orientalis','Platanus')
INSERT INTO Baumart VALUES (410,'Pappel','Populus','Populus')
INSERT INTO Baumart VALUES (4802,'Silberpappel','Populus alba','Populus')
INSERT INTO Baumart VALUES (2023,'Balsampappel','Populus balsamifera','Popolus')
INSERT INTO Baumart VALUES (2024,'Berliner Lorbeerpappel','Populus berolinensis','Populus')
INSERT INTO Baumart VALUES (4803,'Kanadische Holzpappel','Populus canadensis','Populus')
INSERT INTO Baumart VALUES (2027,'Graupappel','Populus canescens','Populus')
INSERT INTO Baumart VALUES (3114,'Schwarzpappel','Populus nigra','Populus')
INSERT INTO Baumart VALUES (2036,'Pyramidenpappel','Populus nigra ''Italica''','Populus')
INSERT INTO Baumart VALUES (2037,'Birkenpappel','Populus simonii','Populus')
INSERT INTO Baumart VALUES (2039,'Zitterpappel, Espe','Populus tremula','Populus')
INSERT INTO Baumart VALUES (2040,'Sulen-Zitterpappel','Populus tremula ''Erecta''','Populus')
INSERT INTO Baumart VALUES (2042,'Hnge-Zitterpappel','Populus tremula ''Pendula''','Populus')
INSERT INTO Baumart VALUES (2043,'Westliche Balsampappel','Populus trichocarpa','Populus')
INSERT INTO Baumart VALUES (420,'Pflaume, Kirsche, Pfirsisch','Prunus','Obst')
INSERT INTO Baumart VALUES (2061,'Vogelkirsche, Wildkirsche','Prunus avium','Prunus')
INSERT INTO Baumart VALUES (2062,'Skirsche','Prunus avium C.','Obst')
INSERT INTO Baumart VALUES (2064,'Wildpflaume','Prunus cerasifera','Prunus')
INSERT INTO Baumart VALUES (2065,'Blutpflaume','Prunus cerasifera ''Nigra''','Prunus')
INSERT INTO Baumart VALUES (3115,'Sauerkirsche','Prunus cerasus','Obst')
INSERT INTO Baumart VALUES (3116,'Haus-Pflaume','Prunus domestica','Obst')
INSERT INTO Baumart VALUES (2969,'Sandkirsche','Prunus fruticosa','Prunus')
INSERT INTO Baumart VALUES (2870,'Lorbeerkirsche, Kirschlorbeer','Prunus laurocerasus','Prunus')
INSERT INTO Baumart VALUES (2076,'Steinweichsel','Prunus mahaleb','Prunus')
INSERT INTO Baumart VALUES (2077,'Traubenkirsche','Prunus padus','Prunus')
INSERT INTO Baumart VALUES (2078,'Pfirsisch','Prunus persica','Prunus')
INSERT INTO Baumart VALUES (2080,'Sptbl. Traubenkirsche','Prunus serotina','Prunus')
INSERT INTO Baumart VALUES (2092,'Schlehe / Schwarzdorn','Prunus spinosa','Prunus')
INSERT INTO Baumart VALUES (2676,'Douglasie, Douglasfichte, Mirbel','Pseudotsuga menziesii','Pseudotsuga')
INSERT INTO Baumart VALUES (430,'Flgelnuss','Pterocaria','Pterocaria')
INSERT INTO Baumart VALUES (440,'Birne','Pyrus','Obst')
INSERT INTO Baumart VALUES (2964,'Stadtbirne','Pyrus calleryana','Pyrus')
INSERT INTO Baumart VALUES (2122,'Holzbirne, Gemeine Birne','Pyrus communis','Pyrus')
INSERT INTO Baumart VALUES (450,'Eiche','Quercus','Quercus')
INSERT INTO Baumart VALUES (2125,'Zerreiche','Quercus cerris','Quercus')
INSERT INTO Baumart VALUES (2126,'Scharlach-Eiche','Quercus coccinea','Quercus')
INSERT INTO Baumart VALUES (4475,'Japan. Kaisereiche, Daimio-Eiche','Quercus dentata','Quercus')
INSERT INTO Baumart VALUES (2127,'Ungarische Eiche','Quercus frainetto','Quercus')
INSERT INTO Baumart VALUES (3344,'Steineiche','Quercus ilex','Quercus')
INSERT INTO Baumart VALUES (2129,'Sumpfeiche','Quercus palustris','Quercus')
INSERT INTO Baumart VALUES (2132,'Traubeneiche, Wintereiche','Quercus petraea','Quercus')
INSERT INTO Baumart VALUES (4807,'Flaumeiche','Quercus pubescens','Quercus')
INSERT INTO Baumart VALUES (2130,'Stieleiche, Sommereiche','Quercus robur','Quercus')
INSERT INTO Baumart VALUES (2131,'Pyramideneiche','Quercus robur ''Fastigiata''','Quercus')
INSERT INTO Baumart VALUES (2134,'Amerikanische Roteiche','Quercus rubra','Quercus')
INSERT INTO Baumart VALUES (3348,'Amerikanische Goldeiche','Quercus rubra ''Aurea''','Quercus')
INSERT INTO Baumart VALUES (2135,'Wintergrne Eiche','Quercus turneri ''Pseudoturneri''','Quercus')
INSERT INTO Baumart VALUES (460,'Kreuzdorn','Rhamnus','Rhamnus')
INSERT INTO Baumart VALUES (2136,'Purgier-Kreuzdorn','Rhamnus catharticus','Rhamnus')
INSERT INTO Baumart VALUES (2137,'Faulbaum','Rhamnus frangula','Rhamnus')
INSERT INTO Baumart VALUES (470,'Sumach','Rhus','Rhus')
INSERT INTO Baumart VALUES (2139,'Essigbaum','Rhus glabra','Rhus')
INSERT INTO Baumart VALUES (2141,'Hirschkolben-Sumach, Essigbaum','Rhus typhina','Rhus')
INSERT INTO Baumart VALUES (480,'Robinie','Robinia','Robinia')
INSERT INTO Baumart VALUES (2156,'Robinie, Scheinakazie','Robinia pseudoacacia','Robinia')
INSERT INTO Baumart VALUES (2157,'Kegel-Robinie, Kegel-Akazie','Robinia pseudoacacia ''Bessoniana''','Robinia')
INSERT INTO Baumart VALUES (2160,'Straen-Robinie, Straen-Akazie','Robinia pseudoacacia ''Monophylla''','Robinia')
INSERT INTO Baumart VALUES (4510,'Pyramiden-Robinie, Pyramiden-Akazie','Robinia pseudoacacia ''Pyramidalis''','Robinia')
INSERT INTO Baumart VALUES (2162,'Korkenzieher-Robinie, Korkenzieher-Akazie','Robinia pseudoacacia ''Tortuosa''','Robinia')
INSERT INTO Baumart VALUES (2163,'Kugel-Robinie, Kugel-Akazie','Robinia pseudoacacia ''Umbraculifera''','Robinia')
INSERT INTO Baumart VALUES (490,'Weide','Salix','Salix')
INSERT INTO Baumart VALUES (2182,'Silberweide','Salix alba','Salix')
INSERT INTO Baumart VALUES (2844,'Kegelfrmige Silberweide','Salix alba ''Chermesina''','Salix')
INSERT INTO Baumart VALUES (2184,'Silberweide ''Liempde''','Salix alba ''Liempde''','Salix')
INSERT INTO Baumart VALUES (2185,'Straenweide','Salix alba ''Sericea''','Salix')
INSERT INTO Baumart VALUES (5439,'Silberweide ''Taucha''','Salix alba ''Taucha''','Salix')
INSERT INTO Baumart VALUES (2186,'Trauerweide','Salix alba ''Tristis''','Salix')
INSERT INTO Baumart VALUES (2190,'Ohrweide','Salix aurita','Salix')
INSERT INTO Baumart VALUES (2194,'Salweide','Salix caprea','Salix')
INSERT INTO Baumart VALUES (2198,'Graue Weide, Aschweide','Salix cinerea','Salix')
INSERT INTO Baumart VALUES (2204,'Bruchweide, Knackweide','Salix fragilis','Salix')
INSERT INTO Baumart VALUES (2211,'Korkenzieherweide','Salix matsudana ''Tortuosa''','Salix')
INSERT INTO Baumart VALUES (2223,'Korbweide','Salix viminalis','Salix')
INSERT INTO Baumart VALUES (500,'Holunder','Sambucus','Sambucus')
INSERT INTO Baumart VALUES (2227,'Schwarzer Holunder','Sambucus nigra','Sambucus')
INSERT INTO Baumart VALUES (2232,'Roter Holunder, Traubenholunder','Sambucus racemosa','Sambucus')
INSERT INTO Baumart VALUES (2680,'Kalifornischer Mammutbaum','Sequoiadendron giganteum','Sequoiadendron')
INSERT INTO Baumart VALUES (2237,'Schnurbaum','Sophora japonica','Sophora')
INSERT INTO Baumart VALUES (510,'Eberesche','Sorbus','Sorbus')
INSERT INTO Baumart VALUES (2242,'Amerikanische Eberesche','Sorbus americana','Sorbus')
INSERT INTO Baumart VALUES (2243,'Mehlbeere','Sorbus aria','Sorbus')
INSERT INTO Baumart VALUES (2247,'Vogelbeere, Eberesche','Sorbus aucuparia','Sorbus')
INSERT INTO Baumart VALUES (2255,'Essbare Eberesche','Sorbus aucuparia ''Edulis''','Sorbus')
INSERT INTO Baumart VALUES (2248,'Sulen-Eberesche, Pyramiden-Eberesche','Sorbus aucuparia ''Fastigiata''','Sorbus')
INSERT INTO Baumart VALUES (2829,'Speierling','Sorbus domestica','Sorbus')
INSERT INTO Baumart VALUES (2266,'Schwedische Mehlbeere','Sorbus intermedia','Sorbus')
INSERT INTO Baumart VALUES (2268,'Park-Mehlbeere, Breitblttrige Mehlbeere','Sorbus latifolia','Sorbus')
INSERT INTO Baumart VALUES (4810,'Thringische Eberesche','Sorbus thuringiaca','Sorbus')
INSERT INTO Baumart VALUES (2272,'Elsbeere','Sorbus torminalis','Sorbus')
INSERT INTO Baumart VALUES (2273,'Vielfiedrige Eberesche','Sorbus vilmorinii','Sorbus')
INSERT INTO Baumart VALUES (2298,'Japanischer Storaxbaum','Styrax japonica','Styrax')
INSERT INTO Baumart VALUES (520,'Flieder','Syringa','Syringa')
INSERT INTO Baumart VALUES (2324,'Wild-Flieder','Syringa vulgaris','Syringa')
INSERT INTO Baumart VALUES (2681,'Sumpfzypresse','Taxodium districhum','Taxodium')
INSERT INTO Baumart VALUES (2682,'Eibe','Taxus baccata','Taxus')
INSERT INTO Baumart VALUES (780,'Lebensbaum','Thuja','Thuja')
INSERT INTO Baumart VALUES (2718,'Abendlndischer Lebensbaum','Thuja occidentalis','Thuja')
INSERT INTO Baumart VALUES (2434,'Morgenlndischer Lebensbaum','Thuja orientalis','Thuja')
INSERT INTO Baumart VALUES (2742,'Riesenlebensbaum','Thuja plicata','Thuja')
INSERT INTO Baumart VALUES (2747,'Japanischer Lebensbaum','Thuja standishii','Thuja')
INSERT INTO Baumart VALUES (530,'Linde','Tilia','Tilia')
INSERT INTO Baumart VALUES (4811,'Amerikanische Linde','Tilia americana','Tilia')
INSERT INTO Baumart VALUES (2352,'Riesenblttrige Linde','Tilia americana ''Nova''','Tilia')
INSERT INTO Baumart VALUES (2353,'Winterlinde','Tilia cordata','Tilia')
INSERT INTO Baumart VALUES (4580,'Amerikanische Stadtlinde','Tilia cordata ''Greenspire''','Tilia')
INSERT INTO Baumart VALUES (3513,'Kleinkronige Winterlinde','Tilia cordata ''Mllerklein''','Tilia')
INSERT INTO Baumart VALUES (2822,'Kleinblttrige Winterlinde','Tilia cordata ''Sheridan''','Tilia')
INSERT INTO Baumart VALUES (2354,'Krimlinde','Tilia euchlora','Tilia')
INSERT INTO Baumart VALUES (5549,'Sulenfrmige Krimlinde','Tilia euchlora ''Pallida Fastigiata''','Tilia')
INSERT INTO Baumart VALUES (2355,'Hollndische Linde','Tilia europaea','Tilia')
INSERT INTO Baumart VALUES (2357,'Kaiserlinde','Tilia europaea ''Pallida''','Tilia')
INSERT INTO Baumart VALUES (2777,'Hnge-Silber-Linde, Groblttrige Silberlinde','Tilia petiolaris','Tilia')
INSERT INTO Baumart VALUES (2358,'Sommerlinde','Tilia platyphyllos','Tilia')
INSERT INTO Baumart VALUES (3398,'Gold-Sommerlinde','Tilia platyphyllos ''Aurea''','Tilia')
INSERT INTO Baumart VALUES (3371,'Groblttrige Sommerlinde','Tilia platyphyllos ''Laciniata''','Tilia')
INSERT INTO Baumart VALUES (2359,'Silberlinde','Tilia tomentosa','Tilia')
INSERT INTO Baumart VALUES (790,'Hemlocktanne','Tsuga','Tsuga')
INSERT INTO Baumart VALUES (2751,'Kanadische Hemlocktanne','Tsuga canadensis','Tsuga')
INSERT INTO Baumart VALUES (2756,'Grne Hemlocktanne','Tsuga heterophylla','Tsuga')
INSERT INTO Baumart VALUES (540,'Ulme','Ulmus','Ulmus')
INSERT INTO Baumart VALUES (2361,'Feldulme','Ulmus carpinifolia','Ulmus')
INSERT INTO Baumart VALUES (2362,'Goldulme','Ulmus carpinifolia ''Wredei''','Ulmus')
INSERT INTO Baumart VALUES (2363,'Bergulme','Ulmus glabra','Ulmus')
INSERT INTO Baumart VALUES (2960,'Exter-Ulme','Ulmus glabra ''Exoniensis''','Ulmus')
INSERT INTO Baumart VALUES (2365,'Stadt-Ulme, Hollndische Ulme','Ulmus hollandica','Ulmus')
INSERT INTO Baumart VALUES (3136,'Flatter-Ulme','Ulmus laevis','Ulmus')
INSERT INTO Baumart VALUES (3747,'Resistente Ulme','Ulmus ''Resista''','Ulmus')
INSERT INTO Baumart VALUES (550,'Zelkove','Zelkova','Zelkova')
INSERT INTO Baumart VALUES (2402,'Kaukasus-Zelkove','Zelkova carpinifolia','Zelkova')
INSERT INTO Baumart VALUES (2403,'Keaki-Zelkove','Zelkova serrata','Zelkova')
INSERT INTO Baumart VALUES (30,'Laubbaum','','')
INSERT INTO Baumart VALUES (40,'Nadelbaum','','')

CREATE TABLE Schiefstand_Baum (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Schiefstand_Baum VALUES (0,'kein')
INSERT INTO Schiefstand_Baum VALUES (1,'ja, ohne Angabe')
INSERT INTO Schiefstand_Baum VALUES (2,'zur Fahrbahn')
INSERT INTO Schiefstand_Baum VALUES (3,'von der Fahrbahn')
INSERT INTO Schiefstand_Baum VALUES (4,'parallel zur Fahrbahn')

CREATE TABLE Zustandsbeurteilung_Baum (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Zustandsbeurteilung_Baum VALUES (1,'gesund')
INSERT INTO Zustandsbeurteilung_Baum VALUES (2,'sehr schwach geschdigt')
INSERT INTO Zustandsbeurteilung_Baum VALUES (3,'mittelstark geschdigt')
INSERT INTO Zustandsbeurteilung_Baum VALUES (4,'stark geschdigt')
INSERT INTO Zustandsbeurteilung_Baum VALUES (5,'absterbend bis tot')

CREATE TABLE Baumschaden (
   Baumschaden_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Baumschaden_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10), -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10), -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Kronenschaeden
      INTEGER REFERENCES Kronenschaden,
   Stammschaeden
      INTEGER REFERENCES Stammschaden,
   Stammfussschaden
      INTEGER REFERENCES Stammfussschaden,
   Wurzelschaeden
      INTEGER REFERENCES Wurzelschaden,
   Schadensursache
      INTEGER REFERENCES Schadensursache_Baum
)

CREATE TABLE Kronenschaden (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Kronenschaden VALUES (1,'Totholz (einzelne ste ber DU 5-10 cm)')
INSERT INTO Kronenschaden VALUES (2,'Krone vollstndig ohne Bltter (Krone abgestorben)')
INSERT INTO Kronenschaden VALUES (3,'Wipfeldrre')
INSERT INTO Kronenschaden VALUES (4,'schtteres Laubdach (wenig Bltter)')
INSERT INTO Kronenschaden VALUES (5,'ungewhnlich frhzeitige Laubfrbung')
INSERT INTO Kronenschaden VALUES (6,'Vergilbungen / Verfrbungen der Bltter')
INSERT INTO Kronenschaden VALUES (7,'Schdlingsbefall (zerfressene Bltter)')
INSERT INTO Kronenschaden VALUES (8,'Astabbrche (Wind / Eisbruch)')
INSERT INTO Kronenschaden VALUES (9,'Aststmpfe')
INSERT INTO Kronenschaden VALUES (10,'Astmorschungen')
INSERT INTO Kronenschaden VALUES (11,'Asthhlen')
INSERT INTO Kronenschaden VALUES (12,'Astausbrche')
INSERT INTO Kronenschaden VALUES (13,'Risse oder Spalten an Gabelungen u. Kronenansatz')
INSERT INTO Kronenschaden VALUES (14,'Risse oder Spalten an Starksten (DU 5-10 cm)')
INSERT INTO Kronenschaden VALUES (15,'Risse oder Spalten an Starksten (DU > 10 cm)')
INSERT INTO Kronenschaden VALUES (16,'Wunden/Rindenschaden an Starksten (DU 5-10 cm)')
INSERT INTO Kronenschaden VALUES (17,'Wunden/Rindenschaden an Starksten (DU >10 cm)')
INSERT INTO Kronenschaden VALUES (18,'eingefaulte Astungswunden')
INSERT INTO Kronenschaden VALUES (19,'Vergabelungen (Druckzwiesel=V-frmig) mit eingew. Rinde')
INSERT INTO Kronenschaden VALUES (20,'Wassertaschen')
INSERT INTO Kronenschaden VALUES (21,'Baumfremder Bewuchs')
INSERT INTO Kronenschaden VALUES (22,'Alte Einbauten zur Kronensicherung')
INSERT INTO Kronenschaden VALUES (23,'Pilzfruchtkrper an Gabelungen')
INSERT INTO Kronenschaden VALUES (24,'Pilzfruchtkrper an brigen sten')
INSERT INTO Kronenschaden VALUES (99,'Sonstiges')

CREATE TABLE Stammschaden (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Stammschaden VALUES (25,'Schrgstand/Schieflage')
INSERT INTO Stammschaden VALUES (26,'Bohrmehl/Insekten')
INSERT INTO Stammschaden VALUES (27,'Ausfluss/Schleimfluss')
INSERT INTO Stammschaden VALUES (28,'Ausfluss/Harzfluss')
INSERT INTO Stammschaden VALUES (29,'Alte Stahlgewindestangen')
INSERT INTO Stammschaden VALUES (30,'Alte Plomben')
INSERT INTO Stammschaden VALUES (31,'Rinden/Holzschaden')
INSERT INTO Stammschaden VALUES (32,'Stammrisse')
INSERT INTO Stammschaden VALUES (33,'Faulstellen')
INSERT INTO Stammschaden VALUES (34,'Hhlungen')
INSERT INTO Stammschaden VALUES (35,'Pilzbefall')
INSERT INTO Stammschaden VALUES (36,'Baumfremder Bewuchs')
INSERT INTO Stammschaden VALUES (99,'Sonstiges')

CREATE TABLE Stammfussschaden (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Stammfussschaden VALUES (99,'Sonstiges')

CREATE TABLE Wurzelschaden (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Wurzelschaden VALUES (37,'Bodenaufwlbungen/Bodenrisse')
INSERT INTO Wurzelschaden VALUES (38,'Stolperwurzeln')
INSERT INTO Wurzelschaden VALUES (39,'Anhebung der Befestigung')
INSERT INTO Wurzelschaden VALUES (40,'Ausfluss/Schleimfluss')
INSERT INTO Wurzelschaden VALUES (41,'Ausfluss/Harzfluss')
INSERT INTO Wurzelschaden VALUES (42,'Bohrmehl/Insekten')
INSERT INTO Wurzelschaden VALUES (43,'Stockaustriebe')
INSERT INTO Wurzelschaden VALUES (44,'Verdickung des unteren Stammes')
INSERT INTO Wurzelschaden VALUES (45,'Adventivwurzelbildung')
INSERT INTO Wurzelschaden VALUES (46,'Rinden/Holzschaden')
INSERT INTO Wurzelschaden VALUES (47,'Faulstellen')
INSERT INTO Wurzelschaden VALUES (48,'Pilzbefall')
INSERT INTO Wurzelschaden VALUES (49,'Risse')
INSERT INTO Wurzelschaden VALUES (50,'Wulstbildung')
INSERT INTO Wurzelschaden VALUES (51,'Hhlungen')
INSERT INTO Wurzelschaden VALUES (99,'Sonstiges')

CREATE TABLE Schadensursache_Baum (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Schadensursache_Baum VALUES (1,'Anfahrschaden')
INSERT INTO Schadensursache_Baum VALUES (2,'Blitzschaden')
INSERT INTO Schadensursache_Baum VALUES (3,'Sturmschaden')
INSERT INTO Schadensursache_Baum VALUES (4,'Eisbruch')
INSERT INTO Schadensursache_Baum VALUES (5,'Naturereignis')
INSERT INTO Schadensursache_Baum VALUES (6,'Straenbaumanahme')
INSERT INTO Schadensursache_Baum VALUES (7,'Straenunterhaltung')
INSERT INTO Schadensursache_Baum VALUES (8,'sonstige Manahme')
INSERT INTO Schadensursache_Baum VALUES (9,'Sonstige')

CREATE TABLE Schadenseinstufung_Baum (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Schadenseinstufung_Baum VALUES (1,'kein Schaden')
INSERT INTO Schadenseinstufung_Baum VALUES (2,'Schaden unbestimmt')
INSERT INTO Schadenseinstufung_Baum VALUES (3,'leichter Schaden')
INSERT INTO Schadenseinstufung_Baum VALUES (4,'mittelschwerer Schaden')
INSERT INTO Schadenseinstufung_Baum VALUES (5,'schwerer Schaden')

CREATE TABLE Standortbeschreibung_Baum (
   Standortbeschreibung_Baum_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Standortbeschreibung_Baum_ID) REFERENCES Strassennetz.Punktobjekt_stat,
   Lagebeschreibung
      INTEGER REFERENCES Lagebeschreibung_Baum
)

CREATE TABLE Lagebeschreibung_Baum (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Lagebeschreibung_Baum VALUES (1,'Baum auf Trennstreifen zwischen Radweg und Strae')
INSERT INTO Lagebeschreibung_Baum VALUES (2,'Baum zwischen Radweg und Graben')
INSERT INTO Lagebeschreibung_Baum VALUES (3,'Baum zwischen Radweg und benachbartem Grundstck')
INSERT INTO Lagebeschreibung_Baum VALUES (4,'Baum im Geh- oder Radweg')
INSERT INTO Lagebeschreibung_Baum VALUES (5,'Baum in Pflasterflche')
INSERT INTO Lagebeschreibung_Baum VALUES (6,'Baum hinter Gehweg')

CREATE TABLE Bewuchs (
   Bewuchs_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Bewuchs_ID) REFERENCES Historisierung.historisches_Objekt,
   FOREIGN KEY (Bewuchs_ID) REFERENCES Allgemeine_Objekte.Objekt_mit_ID,
   gueltig_von
      CHAR(10), -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10), -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Zustaendigkeit
      VARCHAR(255),
   Erfassungsqualitaet
      VARCHAR(255) NOT NULL,
   Verkehrsraumeinschraenkung
      INTEGER REFERENCES Logical_Types.Boolean
)

CREATE TABLE Bewuchs__Schutzstatus (
   Bewuchs
      INTEGER NOT NULL REFERENCES Bewuchs,
   Schutzstatus_Bewuchs
      INTEGER NOT NULL REFERENCES Schutzstatus_Bewuchs
)

CREATE TABLE Bewuchs__hat_Pflegemassnahmen (
   Bewuchs
      INTEGER NOT NULL REFERENCES Bewuchs,
   Pflegemassnahme_Bewuchs
      INTEGER NOT NULL REFERENCES Pflegemassnahme_Bewuchs
)

CREATE TABLE Bewuchs__hat_Auspraegungen (
   Bewuchs
      INTEGER NOT NULL REFERENCES Bewuchs,
   geometrische_Auspraegung
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.geometrische_Auspraegung
)

CREATE TABLE Bewuchs__hat_Dokument (
   Bewuchs
      INTEGER NOT NULL REFERENCES Bewuchs,
   Dokument_abstrakt
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.Dokument_abstrakt
)

CREATE TABLE Bewuchs__auf_Rastanlage (
   Bewuchs
      INTEGER NOT NULL REFERENCES Bewuchs,
   Rastanlage
      INTEGER NOT NULL REFERENCES Strassenausstattungen.Ausstattung_und_Anlagen
)

CREATE TABLE Schutzstatus_Bewuchs (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Schutzstatus_Bewuchs VALUES (1,'Landschaftsschutzgebiet (LSG)')
INSERT INTO Schutzstatus_Bewuchs VALUES (2,'Naturschutzgebiet (NSG)')
INSERT INTO Schutzstatus_Bewuchs VALUES (3,'Naturdenkmal (ND)')
INSERT INTO Schutzstatus_Bewuchs VALUES (4,'Fauna/Flora/Habitat (FFH)')
INSERT INTO Schutzstatus_Bewuchs VALUES (5,'geschtzter Landschaftsbestandteil')

CREATE TABLE Pflegemassnahme_Bewuchs (
   Pflegemassnahme_Bewuchs_ID
      INTEGER NOT NULL PRIMARY KEY,
   Art_der_Pflegemassnahme
      INTEGER NOT NULL REFERENCES Art_der_Pflegemassnahme,
   Bezeichnung
      VARCHAR(255),
   Datum_der_Massnahme
      CHAR(10), -- Datum
   CHECK ( Datum_der_Massnahme LIKE '__.__.____' ),
   Quelle_der_Massnahme
      CHAR(2) REFERENCES Quelle_Pflegemassnahme,
   Art_des_Leistungserbringers
      CHAR(1) REFERENCES Art_Leistungserbringer_Pflege,
   Adresse_Leistungserbringer
      VARCHAR(255),
   Kosten
      REAL, -- EURO
   CHECK ( Kosten >= 0 )
)

CREATE TABLE Art_der_Pflegemassnahme (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_der_Pflegemassnahme VALUES (1,'Kronenschnitt f. Lichtraumprofil')
INSERT INTO Art_der_Pflegemassnahme VALUES (2,'Totholzbeseitigung')
INSERT INTO Art_der_Pflegemassnahme VALUES (3,'Kronenauslichtungsschnitt')
INSERT INTO Art_der_Pflegemassnahme VALUES (4,'Kroneneinkrzung')
INSERT INTO Art_der_Pflegemassnahme VALUES (5,'Baumsicherungsschnitt')
INSERT INTO Art_der_Pflegemassnahme VALUES (6,'Astabsgen')
INSERT INTO Art_der_Pflegemassnahme VALUES (7,'Stammaustriebe entfernen')
INSERT INTO Art_der_Pflegemassnahme VALUES (8,'Stockaustriebe entfernen')
INSERT INTO Art_der_Pflegemassnahme VALUES (9,'Baumwunde behandeln')
INSERT INTO Art_der_Pflegemassnahme VALUES (10,'Wurzelschadensbehandlung')
INSERT INTO Art_der_Pflegemassnahme VALUES (11,'Baumscheibe sanieren')
INSERT INTO Art_der_Pflegemassnahme VALUES (12,'Baum fllen')
INSERT INTO Art_der_Pflegemassnahme VALUES (13,'Baum fllen, Verkehrssicherungspflicht')
INSERT INTO Art_der_Pflegemassnahme VALUES (14,'Baum fllen, Baumanahme')
INSERT INTO Art_der_Pflegemassnahme VALUES (99,'Pflege erforderlich')
INSERT INTO Art_der_Pflegemassnahme VALUES (0,'keine Pflege erforderlich')

CREATE TABLE Quelle_Pflegemassnahme (
   Kennung
      CHAR(2) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Quelle_Pflegemassnahme VALUES ('FR','frei')
INSERT INTO Quelle_Pflegemassnahme VALUES ('BS','Baumschau')
INSERT INTO Quelle_Pflegemassnahme VALUES ('SC','Schden')

CREATE TABLE Art_Leistungserbringer_Pflege (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_Leistungserbringer_Pflege VALUES ('S','Straenbauverwaltung')
INSERT INTO Art_Leistungserbringer_Pflege VALUES ('F','Fremdleistung')

CREATE TABLE Baumreihe (
   Baumreihe_ID
      INTEGER NOT NULL PRIMARY KEY,
   Art_der_Baumreihe
      INTEGER NOT NULL REFERENCES Baumart,
   Zustaendigkeit
      VARCHAR(255)
)

CREATE TABLE Baumreihe__best_a_Abschnitten (
   Baumreihe
      INTEGER NOT NULL REFERENCES Baumreihe,
   Baumreihenabschnitt
      INTEGER NOT NULL REFERENCES Baumreihenabschnitt,
   folgt_auf_Baumreihenabschnitt
      INTEGER REFERENCES Baumreihenabschnitt
)

CREATE TABLE Baumreihenabschnitt (
   Baumreihenabschnitt_ID
      INTEGER NOT NULL PRIMARY KEY,
   Erfassungsqualitaet
      VARCHAR(255) NOT NULL,
   Anzahl_der_enthaltenen_Baeume
      INTEGER,
   beginnt_bei_Baum
      INTEGER NOT NULL REFERENCES Baum,
   endet_bei_Baum
      INTEGER NOT NULL REFERENCES Baum,
   von_Allee
      INTEGER REFERENCES Allee
)

CREATE TABLE Baumreihenabschnitt__hat_Baum (
   Baumreihenabschnitt
      INTEGER NOT NULL REFERENCES Baumreihenabschnitt,
   Baum
      INTEGER NOT NULL REFERENCES Baum
)

CREATE TABLE Allee (
   Allee_ID
      INTEGER NOT NULL PRIMARY KEY
)

