CREATE SCHEMA Kreuzungen

-- Historie:
--
-- 09.09.2005 - 1.010 (1.010)
-- Anpassung an ASB-ING, Stand 2004
--
-- 29.06.2004 - 1.000 (1.009)
-- Schema Kreuzungen erstellt nach ASB-Netzdaten, Stand September 2002

CREATE TABLE Kreuzung (
   Kreuzung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Kreuzung_ID) REFERENCES Administration.ASB_Objekt,
   FOREIGN KEY (Kreuzung_ID) REFERENCES Strassennetz.Punktobjekt_hist,
   Art_Kreuzung
      INTEGER NOT NULL REFERENCES Art_Kreuzung
)

CREATE TABLE Art_Kreuzung (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(30) NOT NULL
)

INSERT INTO Art_Kreuzung VALUES ( 4024, 'Gewaesserkreuzung' )
INSERT INTO Art_Kreuzung VALUES ( 4025, 'Bahnkreuzung' )
INSERT INTO Art_Kreuzung VALUES ( 4028, 'Kreuzung_Strasse_Weg' )
INSERT INTO Art_Kreuzung VALUES ( 34017, 'Tierwechsel' )
INSERT INTO Art_Kreuzung VALUES ( 34019, 'Kreuzung_sonst_Verkehrsanl' )

CREATE TABLE Kreuzung_Strasse_Weg (
   Kreuzung_Strasse_Weg_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Kreuzung_Strasse_Weg_ID) REFERENCES Kreuzung,
   FOREIGN KEY (Kreuzung_Strasse_Weg_ID) REFERENCES Allgemeine_Objekte.Objekt_mit_ID,
   beleuchtet
      INTEGER REFERENCES Logical_Types.Boolean,
   Kreuzungsart
      INTEGER REFERENCES Kreuzungsart,
   Bezeichnung
      VARCHAR(60),
   Kreuzungslage
      CHAR(1) REFERENCES Kreuzungslage,
   Beruehrungsebene
      INTEGER REFERENCES Beruehrungsebene,
   Hoehenlage_aufnehmende_Strasse
      INTEGER REFERENCES Hoehenlage_aufzun_Strasse,
   Anschluss_Bauform
      INTEGER REFERENCES Anschluss_Bauform,
   Vorrangregelung
      INTEGER REFERENCES Vorrangregelung
)

CREATE TABLE Krzg_Strasse_Weg__hat_Teilbwk (
   Kreuzung_Strasse_Weg
      INTEGER NOT NULL REFERENCES Kreuzung_Strasse_Weg,
   Teilbauwerk_abstrakt
      INTEGER NOT NULL REFERENCES Bauwerke.Teilbauwerk_abstrakt
)

CREATE TABLE Kreuzungsart (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Kreuzungsart VALUES (1,'Autobahn')
INSERT INTO Kreuzungsart VALUES (2,'Bundesstrae')
INSERT INTO Kreuzungsart VALUES (3,'Landes/Staatsstrae')
INSERT INTO Kreuzungsart VALUES (4,'Kreisstrae')
INSERT INTO Kreuzungsart VALUES (5,'Gemeindestrae')
INSERT INTO Kreuzungsart VALUES (6,'sonstige nicht aufzunehmende Strae')
INSERT INTO Kreuzungsart VALUES (7,'Feldweg bzw. Forstweg')
INSERT INTO Kreuzungsart VALUES (8,'Radweg, Radwegseitenwechsel')
INSERT INTO Kreuzungsart VALUES (9,'Zufahrt Nebenbetrieb')
INSERT INTO Kreuzungsart VALUES (10,'Abfahrt Nebenbetrieb')
INSERT INTO Kreuzungsart VALUES (11,'Grundstckszufahrt')
INSERT INTO Kreuzungsart VALUES (12,'Fugngerberweg')
INSERT INTO Kreuzungsart VALUES (13,'Zufahrt Betriebssttte/,-einrichtung')
INSERT INTO Kreuzungsart VALUES (14,'Abfahrt Betriebssttte/,-einrichtung')

CREATE TABLE Kreuzungslage (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Kreuzungslage VALUES ('L','linke Fahrbahn/Fahrbahnhlfte')
INSERT INTO Kreuzungslage VALUES ('R','rechte Fahrbahn/Fahrbahnhlfte')
INSERT INTO Kreuzungslage VALUES ('B','gesamte Fahrbahn')

CREATE TABLE Beruehrungsebene (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Beruehrungsebene VALUES (1,'plangleich')
INSERT INTO Beruehrungsebene VALUES (2,'planfrei')

CREATE TABLE Hoehenlage_aufzun_Strasse (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Hoehenlage_aufzun_Strasse VALUES (10,'unten')
INSERT INTO Hoehenlage_aufzun_Strasse VALUES (20,'oben')

CREATE TABLE Anschluss_Bauform (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Anschluss_Bauform VALUES (0,'ohne anbindung')
INSERT INTO Anschluss_Bauform VALUES (1,'Einmndung oder Kreuzung von 2-streifigen Straen')
INSERT INTO Anschluss_Bauform VALUES (2,'RAS-K-1-Typ B')
INSERT INTO Anschluss_Bauform VALUES (3,'RAS-K-1-Typ C')
INSERT INTO Anschluss_Bauform VALUES (4,'RAS-K-1-Typ D')
INSERT INTO Anschluss_Bauform VALUES (5,'RAS-K-1-Typ E')
INSERT INTO Anschluss_Bauform VALUES (6,'Kreisverkehr')
INSERT INTO Anschluss_Bauform VALUES (7,'Querungshilfe')
INSERT INTO Anschluss_Bauform VALUES (8,'Fugngerfurt')
INSERT INTO Anschluss_Bauform VALUES (9,'Zebrastreifen')

CREATE TABLE Vorrangregelung (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Vorrangregelung VALUES (0,'keine Einrichtung')
INSERT INTO Vorrangregelung VALUES (1,'Lichtsignalanlage (LSA)')
INSERT INTO Vorrangregelung VALUES (2,'Blinklicht')
INSERT INTO Vorrangregelung VALUES (3,'Beschilderung')
INSERT INTO Vorrangregelung VALUES (9,'Sonstige')

CREATE TABLE Bahnkreuzung (
   Bahnkreuzung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Bahnkreuzung_ID) REFERENCES Kreuzung,
   Bahnkreuzungsart
      INTEGER REFERENCES Bahnkreuzungsart,
   elektrifiziert
      INTEGER REFERENCES Logical_Types.Boolean,
   Bahnkreuzungsstadium
      INTEGER REFERENCES Bahnkreuzungsstadium,
   Beruehrungsebene
      INTEGER REFERENCES Beruehrungsebene,
   Bahnkreuzungslage
      CHAR(1) REFERENCES Bahnkreuzungslage,
   Bahnkoerper
      INTEGER REFERENCES Bahnkoerper,
   Bahnkreuzung_Sicherungsart
      INTEGER REFERENCES Bahnkreuzung_Sicherungsart,
   Gleisanzahl
      INTEGER,
   Bahnkilometer
      REAL,
   Streckenbezeichnung
      VARCHAR(60)
)

CREATE TABLE Bahnkreuzungsart (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Bahnkreuzungsart VALUES (1,'Eisenbahnhauptstrecke')
INSERT INTO Bahnkreuzungsart VALUES (2,'Eisenbahnnebenstrecke')
INSERT INTO Bahnkreuzungsart VALUES (3,'Straenbahn')
INSERT INTO Bahnkreuzungsart VALUES (4,'Eisenbahnanschlussgleis, Werksbahn')
INSERT INTO Bahnkreuzungsart VALUES (5,'sonstige Schienenbahn')

CREATE TABLE Bahnkreuzungsstadium (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Bahnkreuzungsstadium VALUES (1,'in Betrieb')
INSERT INTO Bahnkreuzungsstadium VALUES (2,'stillgelegt')

CREATE TABLE Bahnkreuzungslage (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Bahnkreuzungslage VALUES ('L','Bahn kreuzt linke Fahrbahn/Fahrbahnteil')
INSERT INTO Bahnkreuzungslage VALUES ('R','Bahn kreuzt rechte Fahrbahn/Fahrbahnteil')
INSERT INTO Bahnkreuzungslage VALUES ('B','Bahn kreuzt gesamte Fahrbahn')

CREATE TABLE Bahnkoerper (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Bahnkoerper VALUES (1,'ohne eigenen Bahnkrper')
INSERT INTO Bahnkoerper VALUES (2,'mit eigenem Bahnkrper auf einer Seite')
INSERT INTO Bahnkoerper VALUES (3,'mit eigenem Bahnkrper auf beiden Seiten')

CREATE TABLE Bahnkreuzung_Sicherungsart (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Bahnkreuzung_Sicherungsart VALUES (1,'keine Sicherung')
INSERT INTO Bahnkreuzung_Sicherungsart VALUES (2,'Lichtzeichenanlage als BSTRA-Anlage')
INSERT INTO Bahnkreuzung_Sicherungsart VALUES (3,'Blinklichtanlage ohne Schranken')
INSERT INTO Bahnkreuzung_Sicherungsart VALUES (4,'Blinklichtanlage mit Halbschranken')
INSERT INTO Bahnkreuzung_Sicherungsart VALUES (5,'Vollschranken mit und ohne Lichtzeichenanlage als BSTRA-Anlage')

CREATE TABLE Gewaesserkreuzung (
   Gewaesserkreuzung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Gewaesserkreuzung_ID) REFERENCES Kreuzung,
   Gewaesserart
      INTEGER REFERENCES Gewaesserart,
   Gewaessername
      VARCHAR(60)
)

CREATE TABLE Gewaesserart (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Gewaesserart VALUES (1,'Strom/Fluss')
INSERT INTO Gewaesserart VALUES (2,'Bach')
INSERT INTO Gewaesserart VALUES (3,'Graben')
INSERT INTO Gewaesserart VALUES (4,'Kanal')
INSERT INTO Gewaesserart VALUES (5,'Binnensee')
INSERT INTO Gewaesserart VALUES (6,'Meer')
INSERT INTO Gewaesserart VALUES (7,'Talsperre')

CREATE TABLE Tierwechsel (
   Tierwechsel_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Tierwechsel_ID) REFERENCES Kreuzung,
   FOREIGN KEY (Tierwechsel_ID) REFERENCES Allgemeine_Objekte.Objekt_mit_ID,
   Tierart
      INTEGER REFERENCES Tierart
)

CREATE TABLE Tierart (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Tierart VALUES (1,'Wild')
INSERT INTO Tierart VALUES (2,'Amphibien')
INSERT INTO Tierart VALUES (3,'Viehtrift')
INSERT INTO Tierart VALUES (4,'Kleinsuger')
INSERT INTO Tierart VALUES (5,'Sonstige')

CREATE TABLE Kreuzung_sonst_Verkehrsanl (
   Kreuzung_sonst_Verkehrsanl_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Kreuzung_sonst_Verkehrsanl_ID) REFERENCES Kreuzung,
   Verkehrsanlagenart
      INTEGER REFERENCES Verkehrsanlagenart
)

CREATE TABLE Verkehrsanlagenart (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Verkehrsanlagenart VALUES (1,'Wasserstrae')
INSERT INTO Verkehrsanlagenart VALUES (2,'Flughafenanlage')
INSERT INTO Verkehrsanlagenart VALUES (3,'ffentlicher Parkplatz')
INSERT INTO Verkehrsanlagenart VALUES (4,'Transportanlage')

