CREATE SCHEMA Arbeitsstelle_an_Strassen

-- Historie:
--
-- 09.09.2005 - 1.010 (1.010)
-- Schema Arbeitsstelle_an_Strassen erstellt

CREATE TABLE Arbeitsstelle_an_Strassen (
   Arbeitsstelle_an_Strassen_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Arbeitsstelle_an_Strassen_ID) REFERENCES Strassennetz.Streckenobjekt_stat,
   FOREIGN KEY (Arbeitsstelle_an_Strassen_ID) REFERENCES Allgemeine_Objekte.Objekt_mit_ID,
   Lagebeschreibung
      VARCHAR(255),
   Zeitraum
      INTEGER REFERENCES Allgemeine_Objekte.Zeitraum
)

CREATE TABLE Arbst_an_Stra__Art_Leistung (
   Arbeitsstelle_an_Strassen
      INTEGER NOT NULL REFERENCES Arbeitsstelle_an_Strassen,
   Art_der_Leistung_Arbeitsstelle
      INTEGER NOT NULL REFERENCES Art_der_Leistung_Arbeitsstelle
)

CREATE TABLE Arbst_an_Stra__hat_verk_Ang (
   Arbeitsstelle_an_Strassen
      INTEGER NOT NULL REFERENCES Arbeitsstelle_an_Strassen,
   verkehrliche_Angaben_Arbeitsst
      INTEGER NOT NULL REFERENCES verkehrliche_Angaben_Arbeitsst
)

CREATE TABLE Arbst_an_Stra__auf_Strasse (
   Arbeitsstelle_an_Strassen
      INTEGER NOT NULL REFERENCES Arbeitsstelle_an_Strassen,
   Strasse_abstrakt
      INTEGER NOT NULL REFERENCES Strassennetz.Strasse_abstrakt
)

CREATE TABLE Art_der_Leistung_Arbeitsstelle (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_der_Leistung_Arbeitsstelle VALUES (1,'Unterhaltungsarbeiten')
INSERT INTO Art_der_Leistung_Arbeitsstelle VALUES (2,'Bauwerksarbeiten')
INSERT INTO Art_der_Leistung_Arbeitsstelle VALUES (3,'Fahrbahnreparatur')
INSERT INTO Art_der_Leistung_Arbeitsstelle VALUES (4,'Baustelleneinrichtung')
INSERT INTO Art_der_Leistung_Arbeitsstelle VALUES (5,'Ausbau')
INSERT INTO Art_der_Leistung_Arbeitsstelle VALUES (6,'wegen akuter Verkehrsgefhrdung')
INSERT INTO Art_der_Leistung_Arbeitsstelle VALUES (99,'Sonstiges')

CREATE TABLE Status_der_Arbeitsstelle (
   Status_der_Arbeitsstelle_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Status_der_Arbeitsstelle_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10), -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10), -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Status
      INTEGER NOT NULL REFERENCES Tab_Status_der_Arbeitsstelle,
   erfasst_von_Person
      INTEGER REFERENCES Grunderwerb.Person,
   zu_Arbeitsstelle_an_Strassen
      INTEGER NOT NULL REFERENCES Arbeitsstelle_an_Strassen
)

CREATE TABLE Tab_Status_der_Arbeitsstelle (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Tab_Status_der_Arbeitsstelle VALUES (1,'geplant')
INSERT INTO Tab_Status_der_Arbeitsstelle VALUES (2,'angeordnet')
INSERT INTO Tab_Status_der_Arbeitsstelle VALUES (3,'durchgefhrt')

CREATE TABLE verkehrliche_Angaben_Arbeitsst (
   verkehrl_Angaben_Arbeitsst_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (verkehrl_Angaben_Arbeitsst_ID) REFERENCES Strassennetz.Streckenobjekt_stat,
   Status
      INTEGER NOT NULL REFERENCES Status_der_verkehrl_Angabe,
   Art_der_Arbeitsstelle
      INTEGER NOT NULL REFERENCES Art_der_Arbeitsstelle,
   zugrundeliegender_Regelplan
      CHAR(7) NOT NULL REFERENCES RSA_Regelplan,
   verursacht_Behinderung
      INTEGER REFERENCES Art_Behinderung_Arbeitsstelle,
   Verkehrsfuehrung
      CHAR(5) REFERENCES Verkehrsfuehrung_Arbeitsstelle,
   Ueberleitung
      INTEGER REFERENCES Logical_Types.Boolean,
   Verkehrsteilung
      INTEGER REFERENCES Logical_Types.Boolean,
   Vollsperrung
      INTEGER REFERENCES Logical_Types.Boolean,
   Standstreifenmitnutzung
      INTEGER REFERENCES Logical_Types.Boolean,
   Standstreifensperrung
      INTEGER REFERENCES Logical_Types.Boolean,
   halbseitige_Sperrung
      INTEGER REFERENCES Logical_Types.Boolean,
   max_Gewicht
      REAL, -- Tonnen
   CHECK ( max_Gewicht >= 0 ),
   max_Hoehe
      REAL, -- Meter
   max_Breite
      REAL, -- Meter
   Beschreibung_Sondertransporte
      VARCHAR(255),
   Verkehrsfuehrung_Sondertransp
      VARCHAR(255),
   Zeitraum
      INTEGER REFERENCES Allgemeine_Objekte.Zeitraum
)

CREATE TABLE verk_Ang_Arbst__vereng_Fahrstr (
   verkehrliche_Angaben_Arbeitsst
      INTEGER NOT NULL REFERENCES verkehrliche_Angaben_Arbeitsst,
   verengte_Fahrstreifen
      INTEGER NOT NULL
)

CREATE TABLE verk_Ang_Arbst__gesp_Fahrstr (
   verkehrliche_Angaben_Arbeitsst
      INTEGER NOT NULL REFERENCES verkehrliche_Angaben_Arbeitsst,
   gesperrte_Fahrstreifen
      INTEGER NOT NULL
)

CREATE TABLE verk_Ang_Arbst__hat_Vkzplan (
   verkehrliche_Angaben_Arbeitsst
      INTEGER NOT NULL REFERENCES verkehrliche_Angaben_Arbeitsst,
   Dokument_abstrakt
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.Dokument_abstrakt
)

CREATE TABLE verk_Ang_Arbst__hat_Behiprog (
   verkehrliche_Angaben_Arbeitsst
      INTEGER NOT NULL REFERENCES verkehrliche_Angaben_Arbeitsst,
   Behinderung_Prognose
      INTEGER NOT NULL REFERENCES Behinderung_Prognose
)

CREATE TABLE verk_Ang_Arbst__hat_Umleitung (
   verkehrliche_Angaben_Arbeitsst
      INTEGER NOT NULL REFERENCES verkehrliche_Angaben_Arbeitsst,
   Umleitung_Arbeitsstelle
      INTEGER NOT NULL REFERENCES Umleitung_Arbeitsstelle
)

CREATE TABLE verk_Ang_Arbst__hat_verkr_Ao (
   verkehrliche_Angaben_Arbeitsst
      INTEGER NOT NULL REFERENCES verkehrliche_Angaben_Arbeitsst,
   Dokument_abstrakt
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.Dokument_abstrakt
)

CREATE TABLE Status_der_verkehrl_Angabe (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Status_der_verkehrl_Angabe VALUES (1,'geplant')
INSERT INTO Status_der_verkehrl_Angabe VALUES (2,'angeordnet')
INSERT INTO Status_der_verkehrl_Angabe VALUES (3,'durchgefhrt')

CREATE TABLE Art_der_Arbeitsstelle (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_der_Arbeitsstelle VALUES (1,'Arbeitsstelle lngerer Dauer')
INSERT INTO Art_der_Arbeitsstelle VALUES (2,'Arbeitsstelle krzerer Dauer')
INSERT INTO Art_der_Arbeitsstelle VALUES (3,'Nachtbaustelle')

CREATE TABLE Art_Behinderung_Arbeitsstelle (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_Behinderung_Arbeitsstelle VALUES (1,'Einschrnkung der Fahrbahn')
INSERT INTO Art_Behinderung_Arbeitsstelle VALUES (2,'Einschrnkung auf einen Fahrstreifen')
INSERT INTO Art_Behinderung_Arbeitsstelle VALUES (3,'Einschrnkung auf zwei Fahrstreifen')
INSERT INTO Art_Behinderung_Arbeitsstelle VALUES (4,'Sperrung des linken Fahrstreifens')
INSERT INTO Art_Behinderung_Arbeitsstelle VALUES (5,'Sperrung der zwei linken Fahrstreifen')
INSERT INTO Art_Behinderung_Arbeitsstelle VALUES (6,'Sperrung einer Richtungsfahrbahn')

CREATE TABLE Verkehrsfuehrung_Arbeitsstelle (
   Kennung
      CHAR(5) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('2n+2','1 Fahrstreifen und 1 Behelfsfahrstreifen bzw. 2 Behelfsfahrstreifen; analog bei Einschrnkung links')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('2n+1','1 Fahrstreifen oder 1 Behelfsfahrstreifen; analog bei Einschrnkung links')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('2n+2s','2 Behelfsfahrstreifen auf rechtem Fahrstreifen und Standstreifen')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('3n+3','3 Behelfsfahrstreifen; analog bei Einschrnkung links')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('3n+2','2 Fahrstreifen oder 2 Behelfsfahrstreifen')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('3n+1','1 Fahrstreifen oder 1 Behelfsfahrstreifen')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('3n+2s','2 Behelfsfahrstreifen auf rechtem Fahrstreifen und Standstreifen')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('3s+1','3 Behelfsfahrstreifen auf der Gegenfahrbahn, 1 Fahrstreifen oder Behelfsfahrstreifen auf eingeschrnkter Fahrbahn')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('4s+0','4 Behelfsfahrstreifen auf der Gegenfahrbahn')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('2+0','2 Fahrstreifen auf der Gegenfahrbahn')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('3s+0','3 Behelfsfahrstreifen auf der Gegenfahrbahn')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('4+2','4 Behelfsfahrstreifen auf der Gegenfahrbahn, 2 Fahrstreifen oder 2 Behelfsfahrstreifen auf eingeschrnkter Fahrbahn')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('5s+1','5 Behelfsfahrstreifen auf der Gegenfahrbahn, 1 Fahrstreifen oder 1 Behelfsfahrstreifen auf eingeschrnkter Fahrbahn')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('4+0','4 Behelfsfahrstreifen auf der Gegenfahrbahn')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('5s+0','5 Fahrstreifen auf der Gegenfahrbahn')
INSERT INTO Verkehrsfuehrung_Arbeitsstelle VALUES ('6+0','6 Fahrstreifen auf der Gegenfahrbahn')

CREATE TABLE Behinderung_Prognose (
   Behinderung_Prognose_ID
      INTEGER NOT NULL PRIMARY KEY,
   Datum
      CHAR(10) NOT NULL, -- Datum
   CHECK ( Datum LIKE '__.__.____' ),
   Status
      INTEGER NOT NULL REFERENCES Behinderung_Status
)

CREATE TABLE Behinderung_Status (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Behinderung_Status VALUES (1,'grn')
INSERT INTO Behinderung_Status VALUES (2,'gelb')
INSERT INTO Behinderung_Status VALUES (3,'rot')

CREATE TABLE Umleitung_Arbeitsstelle (
   Umleitung_Arbeitsstelle_ID
      INTEGER NOT NULL PRIMARY KEY,
   Mehrkilometer
      REAL, -- Kilometer
   Mehrzeit
      INTEGER REFERENCES Allgemeine_Objekte.Dauer,
   Beschreibung
      VARCHAR(255),
   Bedarfsumleitung_Nummer
      INTEGER,
   hat_Umleitung_Strecke
      INTEGER REFERENCES Umleitung_Strecke
)

CREATE TABLE Umleitung_Strecke (
   Umleitung_Strecke_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Umleitung_Strecke_ID) REFERENCES Strassennetz.Streckenobjekt_stat
)

CREATE TABLE RSA_Regelplan (
   Kennung
      CHAR(7) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO RSA_Regelplan VALUES ('CI/1','Ohne Einengung der Fahrbahn')
INSERT INTO RSA_Regelplan VALUES ('CI/2','Mit geringer Einengung der Fahrbahn')
INSERT INTO RSA_Regelplan VALUES ('CI/3','Verkehrsfhrung ber Behelfsfahrstreifen')
INSERT INTO RSA_Regelplan VALUES ('CI/4','Fahrbahn halbseitig gesperrt. Verkehrsregelung durch Verkehrszeichen')
INSERT INTO RSA_Regelplan VALUES ('CI/5','Fahrbahn halbseitig gesperrt. Verkehrsregelung durch Lichtzeichenanlage')
INSERT INTO RSA_Regelplan VALUES ('CI/6','Arbeitsstelle am bergang vom Auer- in den Innerortsbereich. Fahrbahn halbseitig gesperrt. Verkehrsregelung durch Verkehrszeichen')
INSERT INTO RSA_Regelplan VALUES ('CI/7','3-streifige Fahrbahn. Sperrung des rechten Fahrstreifens der 2-streifigen Richtung')
INSERT INTO RSA_Regelplan VALUES ('CI/8','3-streifige Fahrbahn. Sperrung der 1-streifigen Richtung')
INSERT INTO RSA_Regelplan VALUES ('CI/9','Arbeitsstellenumfahrung mit Behelfsfahrbahn')
INSERT INTO RSA_Regelplan VALUES ('CII/1','Arbeitsstelle von krzerer Dauer mit Beschilderung auf Straen mit geringer Verkehrsstrke (nur bei Tageslicht)')
INSERT INTO RSA_Regelplan VALUES ('CII/2','Arbeitsstelle von krzerer Dauer mit fahrbarer Absperrtafel (nur bei Tageslicht)')
INSERT INTO RSA_Regelplan VALUES ('CII/3','Bewegliche Arbeitsstelle (nur bei Tageslicht)')
INSERT INTO RSA_Regelplan VALUES ('CII/4','Arbeitsstelle fr Markierungsarbeiten in Fahrbahnmitte (nur bei Tageslicht)')
INSERT INTO RSA_Regelplan VALUES ('CII/5','Vermessungsarbeiten auerorts mit starker Einschrnkung einer Fahrbahn im Gegenverkehr. Sicherung mit Leitkegeln')
INSERT INTO RSA_Regelplan VALUES ('DI/1','Verkehrsfhrung 2n+2. 1 Fahrstreifen und 1 Behelfsfahrstreifen auf eingeschrnkter zweistreifiger Fahrbahn. Bei Arbeiten am Mittelstreifen analog. Bei dreistreifiger Fahrbahn analog.')
INSERT INTO RSA_Regelplan VALUES ('DI/2','Verkehrsfhrung 2n+2. 2 Behelfsfahrstreifen auf eingeschrnkter zweistreifiger Fahrbahn. Bei Arbeiten am Mittelstreifen analog.')
INSERT INTO RSA_Regelplan VALUES ('DI/3','Verkehrsfhrung 2n+1. 1 (Behelfs-)Fahrstreifen auf eingeschrnkter zweistreifiger Fahrbahn. Bei Arbeiten am Mittelstreifen analog, wenn kein Standstreifen vorhanden ist.')
INSERT INTO RSA_Regelplan VALUES ('DI/4','Verkehrsfhrung 2n+2s. 2 Behelfsfahrstreifen bei Arbeiten am Mittelstreifen und vorhandenem Standstreifen')
INSERT INTO RSA_Regelplan VALUES ('DI/5','Verkehrsfhrung 3n+3. 3 Behelfsfahrstreifen auf eingeschrnkter dreistreifiger Fahrbahn. Bei Arbeiten am Mittelstreifen analog')
INSERT INTO RSA_Regelplan VALUES ('DI/6','Verkehrsfhrung 3n+2. 2 (Behelfs-)Fahrstreifen auf eingeschrnkter dreistreifiger Fahrbahn. Bei Arbeiten am Mittelstreifen analog')
INSERT INTO RSA_Regelplan VALUES ('DI/7','Verkehrsfhrung 3n+2s. 2 Behelfsfahrstreifen auf eingeschrnkter dreistreifiger Fahrbahn bei Arbeiten am Mittelstreifen und vorhandenem Standstreifen')
INSERT INTO RSA_Regelplan VALUES ('DI/8','Verkehrsfhrung an Anschlussstellen. Verkehrsfhrung 2n+2s Regelfall')
INSERT INTO RSA_Regelplan VALUES ('DI/9','Verkehrsfhrung an Anschlussstellen. Verkehrsfhrung 2n+2s Ausnahmefall')
INSERT INTO RSA_Regelplan VALUES ('DI/10','Verkehrsfhrung an Anschlussstellen. Verkehrsfhrung 2n+1 Regelfall')
INSERT INTO RSA_Regelplan VALUES ('DII/1a','Verkehrsfhrung 3s+1. 3 Behelfsfahrstreifen auf der Gegenfahrbahn, 1 (Behelfs-)Fahrstreifen auf eingeschrnkter Fahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/1b','Verkehrsfhrung 3s+1. 3 Behelfsfahrstreifen auf der Gegenfahrbahn, 1 (Behelfs-)Fahrstreifen auf eingeschrnkter Fahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/2a','Verkehrsfhrung 4s+0. 4 Behelfsfahrstreifen auf der Gegenfahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/2b','Verkehrsfhrung 4s+0. 4 Behelfsfahrstreifen auf der Gegenfahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/3a','Verkehrsfhrung 2+0. 2 Fahrstreifen auf der Gegenfahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/3b','Verkehrsfhrung 2+0. 2 Fahrstreifen auf der Gegenfahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/4a','Verkehrsfhrung 3s+0. 3 Behelfsfahrstreifen auf der Gegenfahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/4b','Verkehrsfhrung 3s+0. 3 Behelfsfahrstreifen auf der Gegenfahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/5a','Verkehrsfhrung 4+2. 4 Behelfsfahrstreifen auf der Gegenfahrbahn, 2 (Behelfs-)Fahrstreifen auf eingeschrnkter Fahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/5b','Verkehrsfhrung 4+2. 4 Behelfsfahrstreifen auf der Gegenfahrbahn, 2 (Behelfs-)Fahrstreifen auf eingeschrnkter Fahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/6a','Verkehrsfhrung 5s+1. 5 Behelfsfahrstreifen auf der Gegenfahrbahn, 1 (Behelfs-)Fahrstreifen auf eingeschrnkter Fahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/6b','Verkehrsfhrung 5s+1. 5 Behelfsfahrstreifen auf der Gegenfahrbahn, 1 (Behelfs-)Fahrstreifen auf eingeschrnkter Fahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/7a','Verkehrsfhrung 4+0. 4 Behelfsfahrstreifen auf der Gegenfahrbahn (ohne Standstreifen)')
INSERT INTO RSA_Regelplan VALUES ('DII/7b','Verkehrsfhrung 4+0. 4 Behelfsfahrstreifen auf der Gegenfahrbahn (ohne Standstreifen)')
INSERT INTO RSA_Regelplan VALUES ('DII/8a','Verkehrsfhrung 5s+0. 5 Behelfsfahrstreifen auf der Gegenfahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/8b','Verkehrsfhrung 5s+0. 5 Behelfsfahrstreifen auf der Gegenfahrbahn')
INSERT INTO RSA_Regelplan VALUES ('DII/9','Verkehrsfhrung an Anschlussstellen. Verkehrsfhrung 4s+0')
INSERT INTO RSA_Regelplan VALUES ('DII/10','Verkehrsfhrung an Anschlussstellen. Verkehrsfhrung 2+0')
INSERT INTO RSA_Regelplan VALUES ('DIII/1','Arbeitsstelle von krzerer Dauer auf einem Fahrstreifen einer Richtungsfahrbahn. Sichtweite > 800 m und stndige Geschwindigkeitsbegrenzung <= 120km/h')
INSERT INTO RSA_Regelplan VALUES ('DIII/2a','Arbeitsstelle von krzerer Dauer auf dem ueren Fahrstreifen einer Richtungsfahrbahn. Sichtweite < 800 m - 400 m. Sicherung nur mit Vorwarntafel')
INSERT INTO RSA_Regelplan VALUES ('DIII/2b','Arbeitsstelle von krzerer Dauer auf dem ueren Fahrstreifen einer Richtungsfahrbahn. Sichtweite < 800 m. Sicherung nur mit verschiedenen Vorwarneinrichtungen')
INSERT INTO RSA_Regelplan VALUES ('DIII/3a','Arbeitsstelle von krzerer Dauer auf dem inneren Fahrstreifen einer Richtungsfahrbahn. Sichtweite 400 - 800 m. Sicherung mit verschiedenen Vorwarneinrichtungen')
INSERT INTO RSA_Regelplan VALUES ('DIII/3b','Arbeitsstelle von krzerer Dauer auf dem inneren Fahrstreifen einer Richtungsfahrbahn. Sichtweite < 400 m. Sicherung mit verschiedenen Vorwarneinrichtungen')
INSERT INTO RSA_Regelplan VALUES ('DIII/4','Arbeitsstelle von krzerer Dauer auf dem inneren Fahrstreifen einer Richtungsfahrbahn. Zweistreifige Verkehrsfhrung unter Einbeziehung des Standstreifens')
INSERT INTO RSA_Regelplan VALUES ('DIII/5','Arbeitsstelle von krzerer Dauer bei Sperrung des mittleren und rechten Fahrstreifens einer Richtungsfahrbahn. Sichtweite < 800 m')
INSERT INTO RSA_Regelplan VALUES ('DIII/6','Arbeitsstelle von krzerer Dauer bei Sperrung des mittleren und linken Fahrstreifens einer Richtungsfahrbahn. Sichtweite < 800 m')
INSERT INTO RSA_Regelplan VALUES ('DIII/7','Arbeitsstelle von krzerer Dauer auf dem befestigten Seitenstreifen einer Richtungsfahrbahn')

CREATE TABLE Rolle_Arbeitsstelle (
   Rolle_Arbeitsstelle_ID
      INTEGER NOT NULL PRIMARY KEY,
   Rollenbeschreibung
      INTEGER NOT NULL REFERENCES Rollenbeschreibung_Arbeitsst,
   hat_Arbeitsstelle
      INTEGER NOT NULL REFERENCES Arbeitsstelle_an_Strassen,
   hat_Person
      INTEGER NOT NULL REFERENCES Grunderwerb.Person
)

CREATE TABLE Rollenbeschreibung_Arbeitsst (
   Rollenbeschr_Arbeitsst_ID
      INTEGER NOT NULL PRIMARY KEY,
   Bezeichnung
      VARCHAR(255) NOT NULL,
   Beschreibung
      VARCHAR(255)
)

CREATE TABLE Durchfuehrender_Arbeitsstelle (
   Durchfuehrender_Arbeitsst_ID
      INTEGER NOT NULL PRIMARY KEY,
   hat_Firma
      INTEGER REFERENCES Firma_Arbeitsstelle,
   zu_Arbeitsstelle
      INTEGER NOT NULL REFERENCES Arbeitsstelle_an_Strassen
)

CREATE TABLE Durchfuehr_Arbst__hat_Strbdst (
   Durchfuehrender_Arbeitsstelle
      INTEGER NOT NULL REFERENCES Durchfuehrender_Arbeitsstelle,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Administration.Strassenbaudienstst_abstr
)

CREATE TABLE Firma_Arbeitsstelle (
   Firma_Arbeitsstelle_ID
      INTEGER NOT NULL PRIMARY KEY
)

CREATE TABLE Firma_Arbst__hat_Ansprpartner (
   Firma_Arbeitsstelle
      INTEGER NOT NULL REFERENCES Firma_Arbeitsstelle,
   Rolle_Arbeitsstelle
      INTEGER NOT NULL REFERENCES Rolle_Arbeitsstelle
)

CREATE TABLE Zusatzinformationen_Arbeitsst (
   Zusatzinformationen_Arbst_ID
      INTEGER NOT NULL PRIMARY KEY,
   Ausweichstrecke_frei
      INTEGER REFERENCES Logical_Types.Boolean,
   OePNV_betroffen
      INTEGER REFERENCES Logical_Types.Boolean,
   Arb_nur_i_verkehrsarmen_Zeiten
      INTEGER REFERENCES Logical_Types.Boolean,
   Unterbrechung_moeglich
      INTEGER REFERENCES Logical_Types.Boolean,
   Ausschlusszeiten_beruecksicht
      INTEGER REFERENCES Logical_Types.Boolean,
   Grossveranstaltungen_eingepl
      INTEGER REFERENCES Logical_Types.Boolean,
   Erfassung_Gegenrichtung
      INTEGER REFERENCES Logical_Types.Boolean,
   zu_Arbeitsstelle
      INTEGER NOT NULL REFERENCES Arbeitsstelle_an_Strassen
)

CREATE TABLE hist_Meldungszustand_Arbeitsst (
   hist_Meldungszustand_Arbst_ID
      INTEGER NOT NULL PRIMARY KEY,
   Datum
      CHAR(10) NOT NULL, -- Datum
   CHECK ( Datum LIKE '__.__.____' ),
   Meldungszustand
      VARCHAR(255) NOT NULL,
   zu_Arbeitsstelle_an_Strassen
      INTEGER NOT NULL REFERENCES Arbeitsstelle_an_Strassen,
   hat_Rolle
      INTEGER NOT NULL REFERENCES Rolle_Arbeitsstelle
)

CREATE TABLE Abbruch_Einstellung_Arbeitsst (
   Abbruch_Einstellung_Arbst_ID
      INTEGER NOT NULL PRIMARY KEY,
   Datum
      CHAR(10) NOT NULL, -- Datum
   CHECK ( Datum LIKE '__.__.____' ),
   Grund
      INTEGER NOT NULL REFERENCES Tab_Abbruch_Einst_Arbeitsst,
   Erlaeuterung
      VARCHAR(255),
   zu_Arbeitsstelle_an_Strassen
      INTEGER NOT NULL REFERENCES Arbeitsstelle_an_Strassen,
   hat_Rolle
      INTEGER REFERENCES Rolle_Arbeitsstelle
)

CREATE TABLE Tab_Abbruch_Einst_Arbeitsst (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Tab_Abbruch_Einst_Arbeitsst VALUES (1,'Witterung')
INSERT INTO Tab_Abbruch_Einst_Arbeitsst VALUES (2,'Polizei')
INSERT INTO Tab_Abbruch_Einst_Arbeitsst VALUES (3,'Unfall')
INSERT INTO Tab_Abbruch_Einst_Arbeitsst VALUES (4,'Ausfall Personal')
INSERT INTO Tab_Abbruch_Einst_Arbeitsst VALUES (5,'vorzeitig fertig')
INSERT INTO Tab_Abbruch_Einst_Arbeitsst VALUES (99,'Sonstiges')

CREATE TABLE zust_Polizeidienstst_Arbeitsst (
   zust_Polizeidienstst_Arbst_ID
      INTEGER NOT NULL PRIMARY KEY,
   zu_Arbeitsstelle_an_Strassen
      INTEGER NOT NULL REFERENCES Arbeitsstelle_an_Strassen,
   hat_Ansprechpartner
      INTEGER REFERENCES Rolle_Arbeitsstelle,
   hat_Dienststelle
      INTEGER NOT NULL REFERENCES Administration.Polizeidienststelle
)

