CREATE SCHEMA Topografie


CREATE TABLE Boeschung (
   Boeschung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Boeschung_ID) REFERENCES Geometrieschema.Flaechenobjekt_Modell,
   Art_Boeschung
      INTEGER NOT NULL REFERENCES Art_Boeschung,
   Hoehe
      REAL, -- Meter
   Beginn_Interpolation
      INTEGER NOT NULL REFERENCES Beginn_Interpolation
)

CREATE TABLE Boeschung__hat_Oberkante (
   Boeschung
      INTEGER NOT NULL REFERENCES Boeschung,
   Boeschungskantenabschnitt
      INTEGER NOT NULL REFERENCES Boeschungskantenabschnitt,
   folgt_auf_Boeschungskantenabschnitt
      INTEGER REFERENCES Boeschungskantenabschnitt
)

CREATE TABLE Boeschung__hat_Unterkante (
   Boeschung
      INTEGER NOT NULL REFERENCES Boeschung,
   Boeschungskantenabschnitt
      INTEGER NOT NULL REFERENCES Boeschungskantenabschnitt,
   folgt_auf_Boeschungskantenabschnitt
      INTEGER REFERENCES Boeschungskantenabschnitt
)

CREATE TABLE Art_Boeschung (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_Boeschung VALUES (1,'normale Bschung')
INSERT INTO Art_Boeschung VALUES (2,'historische Bschung')
INSERT INTO Art_Boeschung VALUES (3,'Berme')

CREATE TABLE Beginn_Interpolation (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Beginn_Interpolation VALUES (1,'Anfang')
INSERT INTO Beginn_Interpolation VALUES (2,'Ende')
INSERT INTO Beginn_Interpolation VALUES (3,'nicht festgelegt')

CREATE TABLE Boeschungskantenabschnitt (
   Boeschungskantenabschnitt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Boeschungskantenabschnitt_ID) REFERENCES Geometrieschema.Linienobjekt_Modell,
   sicher
      INTEGER REFERENCES Logical_Types.Boolean
)

CREATE TABLE Boeschungslinie (
   Boeschungslinie_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Boeschungslinie_ID) REFERENCES Geometrieschema.Linienobjekt_Modell,
   Art_Boeschungslinie
      INTEGER NOT NULL REFERENCES Art_Boeschungslinie,
   gehoert_zu_Boeschung
      INTEGER NOT NULL REFERENCES Boeschung
)

CREATE TABLE Art_Boeschungslinie (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_Boeschungslinie VALUES (1,'Gefllewechsel')
INSERT INTO Art_Boeschungslinie VALUES (2,'Kehle')


